function tabFocus() {
  return "\n    /* WebKit-specific. Other browsers will keep their default outline style. */\n    /* (Initially tried to also force default via 'outline: initial', */\n    /* but that seems to erroneously remove the outline in Firefox altogether.) */\n    outline: 5px auto -webkit-focus-ring-color;\n    outline-offset: -2px;\n  ";
}
var tabFocus$1 = {
  tabFocus: tabFocus
};

function _classCallCheck(instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
}

function _inherits(subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function");
  }

  subClass.prototype = Object.create(superClass && superClass.prototype, {
    constructor: {
      value: subClass,
      writable: true,
      configurable: true
    }
  });
  if (superClass) _setPrototypeOf(subClass, superClass);
}

function _getPrototypeOf(o) {
  _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
    return o.__proto__ || Object.getPrototypeOf(o);
  };
  return _getPrototypeOf(o);
}

function _setPrototypeOf(o, p) {
  _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
    o.__proto__ = p;
    return o;
  };

  return _setPrototypeOf(o, p);
}

function isNativeReflectConstruct() {
  if (typeof Reflect === "undefined" || !Reflect.construct) return false;
  if (Reflect.construct.sham) return false;
  if (typeof Proxy === "function") return true;

  try {
    Date.prototype.toString.call(Reflect.construct(Date, [], function () {}));
    return true;
  } catch (e) {
    return false;
  }
}

function _construct(Parent, args, Class) {
  if (isNativeReflectConstruct()) {
    _construct = Reflect.construct;
  } else {
    _construct = function _construct(Parent, args, Class) {
      var a = [null];
      a.push.apply(a, args);
      var Constructor = Function.bind.apply(Parent, a);
      var instance = new Constructor();
      if (Class) _setPrototypeOf(instance, Class.prototype);
      return instance;
    };
  }

  return _construct.apply(null, arguments);
}

function _isNativeFunction(fn) {
  return Function.toString.call(fn).indexOf("[native code]") !== -1;
}

function _wrapNativeSuper(Class) {
  var _cache = typeof Map === "function" ? new Map() : undefined;

  _wrapNativeSuper = function _wrapNativeSuper(Class) {
    if (Class === null || !_isNativeFunction(Class)) return Class;

    if (typeof Class !== "function") {
      throw new TypeError("Super expression must either be null or a function");
    }

    if (typeof _cache !== "undefined") {
      if (_cache.has(Class)) return _cache.get(Class);

      _cache.set(Class, Wrapper);
    }

    function Wrapper() {
      return _construct(Class, arguments, _getPrototypeOf(this).constructor);
    }

    Wrapper.prototype = Object.create(Class.prototype, {
      constructor: {
        value: Wrapper,
        enumerable: false,
        writable: true,
        configurable: true
      }
    });
    return _setPrototypeOf(Wrapper, Class);
  };

  return _wrapNativeSuper(Class);
}

function _assertThisInitialized(self) {
  if (self === void 0) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }

  return self;
}

function _possibleConstructorReturn(self, call) {
  if (call && (typeof call === "object" || typeof call === "function")) {
    return call;
  }

  return _assertThisInitialized(self);
}

var MixinError =
function (_Error) {
  _inherits(MixinError, _Error);
  function MixinError(args) {
    var _this;
    _classCallCheck(this, MixinError);
    _this = _possibleConstructorReturn(this, _getPrototypeOf(MixinError).call(this, args));
    Error.captureStackTrace(_assertThisInitialized(_this), MixinError);
    return _this;
  }
  return MixinError;
}(_wrapNativeSuper(Error));

var defaultProps = {
  '$enable-hover-media-query': false
};
function hover(content) {
  if (!content) throw new MixinError('content is required');
  return "&:hover, &.hover { ".concat(content, " }");
}
function hoverFocus() {
  var enableHoverMediaQuery = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$enable-hover-media-query'];
  var content = arguments.length > 1 ? arguments[1] : undefined;
  if (enableHoverMediaQuery) {
    return " \n      &:focus, &.focus { ".concat(content, " }\n      ").concat(hover(content), "\n    ");
  }
  return "\n    &:focus,\n    &.focus,\n    &:hover,\n    &.hover {\n      ".concat(content, "\n    }\n  ");
}
function plainHoverFocus() {
  var enableHoverMediaQuery = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$enable-hover-media-query'];
  var content = arguments.length > 1 ? arguments[1] : undefined;
  if (enableHoverMediaQuery) {
    return "\n      &, \n      &:focus, \n      &.focus {\n        ".concat(content, "\n      }\n      ").concat(hover(content), "\n    ");
  }
  return " \n    &, \n    &:focus, \n    &.focus, \n    &:hover, \n    &.hover {\n      ".concat(content, "\n    }\n  ");
}
function hoverFocusActive() {
  var enableHoverMediaQuery = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$enable-hover-media-query'];
  var content = arguments.length > 1 ? arguments[1] : undefined;
  if (enableHoverMediaQuery) {
    return "\n      &:focus,\n      &.focus,\n      &:active,\n      &.active {\n        ".concat(content, "\n      }\n      ").concat(hover(content), "\n    ");
  }
  return "\n    &:focus, \n    &.focus, \n    &:active, \n    &.active,\n    &:hover,\n    &.hover {\n     ".concat(content, "\n    }\n  ");
}
hover.focus = hoverFocus;
hover.plainFocus = plainHoverFocus;
hover.activeFocus = hoverFocusActive;

var defaultProps$1 = {
  '$link-color': '#0275d8',
  '$link-decoration': 'none',
  '$link-hover-color': '#014C8D',
  '$link-hover-decoration': 'underline',
  '$enable-hover-media-query': false
};
function a() {
  var $linkColor = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps$1['$link-color'];
  var $linkDecoration = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps$1['$link-decoration'];
  var $linkHoverColor = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : defaultProps$1['$link-hover-color'];
  var $linkHoverDecoration = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : defaultProps$1['$link-hover-decoration'];
  var $enableHoverMediaQuery = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : defaultProps$1['$enable-hover-media-query'];
  return "\n    color: ".concat($linkColor, ";\n    text-decoration: ").concat($linkDecoration, ";\n    background-color: transparent;\n    -webkit-text-decoration-skip: objects;\n  \n    ").concat(hoverFocus($enableHoverMediaQuery, "\n      color: ".concat($linkHoverColor, ";\n      text-decoration: ").concat($linkHoverDecoration, ";\n    ")), "\n    \n    &:focus {\n      ").concat(tabFocus(), "\n    }\n\n    a:not([href]):not([tabindex]) {\n      color: inherit;\n      text-decoration: none;\n      \n      ").concat(hoverFocus($enableHoverMediaQuery, "\n        color: inherit;\n        text-decoration: none;\n      "), "\n\n      &:focus {\n        outline: 0;\n      }\n    }\n  ");
}
var a$1 = {
  defaultProps: defaultProps$1,
  a: a
};

function _classCallCheck$1(r,e){if(!(r instanceof e))throw new TypeError("Cannot call a class as a function")}var classCallCheck=_classCallCheck$1;function _defineProperty(r,e,n){return e in r?Object.defineProperty(r,e,{value:n,enumerable:!0,configurable:!0,writable:!0}):r[e]=n,r}var defineProperty=_defineProperty;function createCommonjsModule(r,e){return r(e={exports:{}},e.exports),e.exports}var colorName={aliceblue:[240,248,255],antiquewhite:[250,235,215],aqua:[0,255,255],aquamarine:[127,255,212],azure:[240,255,255],beige:[245,245,220],bisque:[255,228,196],black:[0,0,0],blanchedalmond:[255,235,205],blue:[0,0,255],blueviolet:[138,43,226],brown:[165,42,42],burlywood:[222,184,135],cadetblue:[95,158,160],chartreuse:[127,255,0],chocolate:[210,105,30],coral:[255,127,80],cornflowerblue:[100,149,237],cornsilk:[255,248,220],crimson:[220,20,60],cyan:[0,255,255],darkblue:[0,0,139],darkcyan:[0,139,139],darkgoldenrod:[184,134,11],darkgray:[169,169,169],darkgreen:[0,100,0],darkgrey:[169,169,169],darkkhaki:[189,183,107],darkmagenta:[139,0,139],darkolivegreen:[85,107,47],darkorange:[255,140,0],darkorchid:[153,50,204],darkred:[139,0,0],darksalmon:[233,150,122],darkseagreen:[143,188,143],darkslateblue:[72,61,139],darkslategray:[47,79,79],darkslategrey:[47,79,79],darkturquoise:[0,206,209],darkviolet:[148,0,211],deeppink:[255,20,147],deepskyblue:[0,191,255],dimgray:[105,105,105],dimgrey:[105,105,105],dodgerblue:[30,144,255],firebrick:[178,34,34],floralwhite:[255,250,240],forestgreen:[34,139,34],fuchsia:[255,0,255],gainsboro:[220,220,220],ghostwhite:[248,248,255],gold:[255,215,0],goldenrod:[218,165,32],gray:[128,128,128],green:[0,128,0],greenyellow:[173,255,47],grey:[128,128,128],honeydew:[240,255,240],hotpink:[255,105,180],indianred:[205,92,92],indigo:[75,0,130],ivory:[255,255,240],khaki:[240,230,140],lavender:[230,230,250],lavenderblush:[255,240,245],lawngreen:[124,252,0],lemonchiffon:[255,250,205],lightblue:[173,216,230],lightcoral:[240,128,128],lightcyan:[224,255,255],lightgoldenrodyellow:[250,250,210],lightgray:[211,211,211],lightgreen:[144,238,144],lightgrey:[211,211,211],lightpink:[255,182,193],lightsalmon:[255,160,122],lightseagreen:[32,178,170],lightskyblue:[135,206,250],lightslategray:[119,136,153],lightslategrey:[119,136,153],lightsteelblue:[176,196,222],lightyellow:[255,255,224],lime:[0,255,0],limegreen:[50,205,50],linen:[250,240,230],magenta:[255,0,255],maroon:[128,0,0],mediumaquamarine:[102,205,170],mediumblue:[0,0,205],mediumorchid:[186,85,211],mediumpurple:[147,112,219],mediumseagreen:[60,179,113],mediumslateblue:[123,104,238],mediumspringgreen:[0,250,154],mediumturquoise:[72,209,204],mediumvioletred:[199,21,133],midnightblue:[25,25,112],mintcream:[245,255,250],mistyrose:[255,228,225],moccasin:[255,228,181],navajowhite:[255,222,173],navy:[0,0,128],oldlace:[253,245,230],olive:[128,128,0],olivedrab:[107,142,35],orange:[255,165,0],orangered:[255,69,0],orchid:[218,112,214],palegoldenrod:[238,232,170],palegreen:[152,251,152],paleturquoise:[175,238,238],palevioletred:[219,112,147],papayawhip:[255,239,213],peachpuff:[255,218,185],peru:[205,133,63],pink:[255,192,203],plum:[221,160,221],powderblue:[176,224,230],purple:[128,0,128],rebeccapurple:[102,51,153],red:[255,0,0],rosybrown:[188,143,143],royalblue:[65,105,225],saddlebrown:[139,69,19],salmon:[250,128,114],sandybrown:[244,164,96],seagreen:[46,139,87],seashell:[255,245,238],sienna:[160,82,45],silver:[192,192,192],skyblue:[135,206,235],slateblue:[106,90,205],slategray:[112,128,144],slategrey:[112,128,144],snow:[255,250,250],springgreen:[0,255,127],steelblue:[70,130,180],tan:[210,180,140],teal:[0,128,128],thistle:[216,191,216],tomato:[255,99,71],turquoise:[64,224,208],violet:[238,130,238],wheat:[245,222,179],white:[255,255,255],whitesmoke:[245,245,245],yellow:[255,255,0],yellowgreen:[154,205,50]},isArrayish=function(r){return !(!r||"string"==typeof r)&&(r instanceof Array||Array.isArray(r)||r.length>=0&&(r.splice instanceof Function||Object.getOwnPropertyDescriptor(r,r.length-1)&&"String"!==r.constructor.name))},simpleSwizzle=createCommonjsModule(function(r){var e=Array.prototype.concat,n=Array.prototype.slice,t=r.exports=function(r){for(var t=[],o=0,a=r.length;o<a;o++){var i=r[o];isArrayish(i)?t=e.call(t,n.call(i)):t.push(i);}return t};t.wrap=function(r){return function(){return r(t(arguments))}};}),colorString=createCommonjsModule(function(r){var e={};for(var n in colorName)colorName.hasOwnProperty(n)&&(e[colorName[n]]=n);var t=r.exports={to:{},get:{}};function o(r,e,n){return Math.min(Math.max(e,r),n)}function a(r){var e=r.toString(16).toUpperCase();return e.length<2?"0"+e:e}t.get=function(r){var e,n;switch(r.substring(0,3).toLowerCase()){case"hsl":e=t.get.hsl(r),n="hsl";break;case"hwb":e=t.get.hwb(r),n="hwb";break;default:e=t.get.rgb(r),n="rgb";}return e?{model:n,value:e}:null},t.get.rgb=function(r){if(!r)return null;var e,n,t,a=[0,0,0,1];if(e=r.match(/^#([a-f0-9]{6})([a-f0-9]{2})?$/i)){for(t=e[2],e=e[1],n=0;n<3;n++){var i=2*n;a[n]=parseInt(e.slice(i,i+2),16);}t&&(a[3]=Math.round(parseInt(t,16)/255*100)/100);}else if(e=r.match(/^#([a-f0-9]{3,4})$/i)){for(t=(e=e[1])[3],n=0;n<3;n++)a[n]=parseInt(e[n]+e[n],16);t&&(a[3]=Math.round(parseInt(t+t,16)/255*100)/100);}else if(e=r.match(/^rgba?\(\s*([+-]?\d+)\s*,\s*([+-]?\d+)\s*,\s*([+-]?\d+)\s*(?:,\s*([+-]?[\d\.]+)\s*)?\)$/)){for(n=0;n<3;n++)a[n]=parseInt(e[n+1],0);e[4]&&(a[3]=parseFloat(e[4]));}else{if(!(e=r.match(/^rgba?\(\s*([+-]?[\d\.]+)\%\s*,\s*([+-]?[\d\.]+)\%\s*,\s*([+-]?[\d\.]+)\%\s*(?:,\s*([+-]?[\d\.]+)\s*)?\)$/)))return (e=r.match(/(\D+)/))?"transparent"===e[1]?[0,0,0,0]:(a=colorName[e[1]])?(a[3]=1,a):null:null;for(n=0;n<3;n++)a[n]=Math.round(2.55*parseFloat(e[n+1]));e[4]&&(a[3]=parseFloat(e[4]));}for(n=0;n<3;n++)a[n]=o(a[n],0,255);return a[3]=o(a[3],0,1),a},t.get.hsl=function(r){if(!r)return null;var e=r.match(/^hsla?\(\s*([+-]?(?:\d*\.)?\d+)(?:deg)?\s*,\s*([+-]?[\d\.]+)%\s*,\s*([+-]?[\d\.]+)%\s*(?:,\s*([+-]?[\d\.]+)\s*)?\)$/);if(e){var n=parseFloat(e[4]);return [(parseFloat(e[1])+360)%360,o(parseFloat(e[2]),0,100),o(parseFloat(e[3]),0,100),o(isNaN(n)?1:n,0,1)]}return null},t.get.hwb=function(r){if(!r)return null;var e=r.match(/^hwb\(\s*([+-]?\d*[\.]?\d+)(?:deg)?\s*,\s*([+-]?[\d\.]+)%\s*,\s*([+-]?[\d\.]+)%\s*(?:,\s*([+-]?[\d\.]+)\s*)?\)$/);if(e){var n=parseFloat(e[4]);return [(parseFloat(e[1])%360+360)%360,o(parseFloat(e[2]),0,100),o(parseFloat(e[3]),0,100),o(isNaN(n)?1:n,0,1)]}return null},t.to.hex=function(){var r=simpleSwizzle(arguments);return "#"+a(r[0])+a(r[1])+a(r[2])+(r[3]<1?a(Math.round(255*r[3])):"")},t.to.rgb=function(){var r=simpleSwizzle(arguments);return r.length<4||1===r[3]?"rgb("+Math.round(r[0])+", "+Math.round(r[1])+", "+Math.round(r[2])+")":"rgba("+Math.round(r[0])+", "+Math.round(r[1])+", "+Math.round(r[2])+", "+r[3]+")"},t.to.rgb.percent=function(){var r=simpleSwizzle(arguments),e=Math.round(r[0]/255*100),n=Math.round(r[1]/255*100),t=Math.round(r[2]/255*100);return r.length<4||1===r[3]?"rgb("+e+"%, "+n+"%, "+t+"%)":"rgba("+e+"%, "+n+"%, "+t+"%, "+r[3]+")"},t.to.hsl=function(){var r=simpleSwizzle(arguments);return r.length<4||1===r[3]?"hsl("+r[0]+", "+r[1]+"%, "+r[2]+"%)":"hsla("+r[0]+", "+r[1]+"%, "+r[2]+"%, "+r[3]+")"},t.to.hwb=function(){var r=simpleSwizzle(arguments),e="";return r.length>=4&&1!==r[3]&&(e=", "+r[3]),"hwb("+r[0]+", "+r[1]+"%, "+r[2]+"%"+e+")"},t.to.keyword=function(r){return e[r.slice(0,3)]};}),colorString_1=colorString.to,colorString_2=colorString.get,conversions=createCommonjsModule(function(r){var e={};for(var n in colorName)colorName.hasOwnProperty(n)&&(e[colorName[n]]=n);var t=r.exports={rgb:{channels:3,labels:"rgb"},hsl:{channels:3,labels:"hsl"},hsv:{channels:3,labels:"hsv"},hwb:{channels:3,labels:"hwb"},cmyk:{channels:4,labels:"cmyk"},xyz:{channels:3,labels:"xyz"},lab:{channels:3,labels:"lab"},lch:{channels:3,labels:"lch"},hex:{channels:1,labels:["hex"]},keyword:{channels:1,labels:["keyword"]},ansi16:{channels:1,labels:["ansi16"]},ansi256:{channels:1,labels:["ansi256"]},hcg:{channels:3,labels:["h","c","g"]},apple:{channels:3,labels:["r16","g16","b16"]},gray:{channels:1,labels:["gray"]}};for(var o in t)if(t.hasOwnProperty(o)){if(!("channels"in t[o]))throw new Error("missing channels property: "+o);if(!("labels"in t[o]))throw new Error("missing channel labels property: "+o);if(t[o].labels.length!==t[o].channels)throw new Error("channel and label counts mismatch: "+o);var a=t[o].channels,i=t[o].labels;delete t[o].channels,delete t[o].labels,Object.defineProperty(t[o],"channels",{value:a}),Object.defineProperty(t[o],"labels",{value:i});}t.rgb.hsl=function(r){var e,n,t=r[0]/255,o=r[1]/255,a=r[2]/255,i=Math.min(t,o,a),s=Math.max(t,o,a),l=s-i;return s===i?e=0:t===s?e=(o-a)/l:o===s?e=2+(a-t)/l:a===s&&(e=4+(t-o)/l),(e=Math.min(60*e,360))<0&&(e+=360),n=(i+s)/2,[e,100*(s===i?0:n<=.5?l/(s+i):l/(2-s-i)),100*n]},t.rgb.hsv=function(r){var e,n,t,o,a,i=r[0]/255,s=r[1]/255,l=r[2]/255,c=Math.max(i,s,l),h=c-Math.min(i,s,l),u=function(r){return (c-r)/6/h+.5};return 0===h?o=a=0:(a=h/c,e=u(i),n=u(s),t=u(l),i===c?o=t-n:s===c?o=1/3+e-t:l===c&&(o=2/3+n-e),o<0?o+=1:o>1&&(o-=1)),[360*o,100*a,100*c]},t.rgb.hwb=function(r){var e=r[0],n=r[1],o=r[2];return [t.rgb.hsl(r)[0],100*(1/255*Math.min(e,Math.min(n,o))),100*(o=1-1/255*Math.max(e,Math.max(n,o)))]},t.rgb.cmyk=function(r){var e,n=r[0]/255,t=r[1]/255,o=r[2]/255;return [100*((1-n-(e=Math.min(1-n,1-t,1-o)))/(1-e)||0),100*((1-t-e)/(1-e)||0),100*((1-o-e)/(1-e)||0),100*e]},t.rgb.keyword=function(r){var n=e[r];if(n)return n;var t,o,a,i=1/0;for(var s in colorName)if(colorName.hasOwnProperty(s)){var l=colorName[s],c=(o=r,a=l,Math.pow(o[0]-a[0],2)+Math.pow(o[1]-a[1],2)+Math.pow(o[2]-a[2],2));c<i&&(i=c,t=s);}return t},t.keyword.rgb=function(r){return colorName[r]},t.rgb.xyz=function(r){var e=r[0]/255,n=r[1]/255,t=r[2]/255;return [100*(.4124*(e=e>.04045?Math.pow((e+.055)/1.055,2.4):e/12.92)+.3576*(n=n>.04045?Math.pow((n+.055)/1.055,2.4):n/12.92)+.1805*(t=t>.04045?Math.pow((t+.055)/1.055,2.4):t/12.92)),100*(.2126*e+.7152*n+.0722*t),100*(.0193*e+.1192*n+.9505*t)]},t.rgb.lab=function(r){var e=t.rgb.xyz(r),n=e[0],o=e[1],a=e[2];return o/=100,a/=108.883,n=(n/=95.047)>.008856?Math.pow(n,1/3):7.787*n+16/116,[116*(o=o>.008856?Math.pow(o,1/3):7.787*o+16/116)-16,500*(n-o),200*(o-(a=a>.008856?Math.pow(a,1/3):7.787*a+16/116))]},t.hsl.rgb=function(r){var e,n,t,o,a,i=r[0]/360,s=r[1]/100,l=r[2]/100;if(0===s)return [a=255*l,a,a];e=2*l-(n=l<.5?l*(1+s):l+s-l*s),o=[0,0,0];for(var c=0;c<3;c++)(t=i+1/3*-(c-1))<0&&t++,t>1&&t--,a=6*t<1?e+6*(n-e)*t:2*t<1?n:3*t<2?e+(n-e)*(2/3-t)*6:e,o[c]=255*a;return o},t.hsl.hsv=function(r){var e=r[0],n=r[1]/100,t=r[2]/100,o=n,a=Math.max(t,.01);return n*=(t*=2)<=1?t:2-t,o*=a<=1?a:2-a,[e,100*(0===t?2*o/(a+o):2*n/(t+n)),100*((t+n)/2)]},t.hsv.rgb=function(r){var e=r[0]/60,n=r[1]/100,t=r[2]/100,o=Math.floor(e)%6,a=e-Math.floor(e),i=255*t*(1-n),s=255*t*(1-n*a),l=255*t*(1-n*(1-a));switch(t*=255,o){case 0:return [t,l,i];case 1:return [s,t,i];case 2:return [i,t,l];case 3:return [i,s,t];case 4:return [l,i,t];case 5:return [t,i,s]}},t.hsv.hsl=function(r){var e,n,t,o=r[0],a=r[1]/100,i=r[2]/100,s=Math.max(i,.01);return t=(2-a)*i,n=a*s,[o,100*(n=(n/=(e=(2-a)*s)<=1?e:2-e)||0),100*(t/=2)]},t.hwb.rgb=function(r){var e,n,t,o,a,i,s,l=r[0]/360,c=r[1]/100,h=r[2]/100,u=c+h;switch(u>1&&(c/=u,h/=u),t=6*l-(e=Math.floor(6*l)),0!=(1&e)&&(t=1-t),o=c+t*((n=1-h)-c),e){default:case 6:case 0:a=n,i=o,s=c;break;case 1:a=o,i=n,s=c;break;case 2:a=c,i=n,s=o;break;case 3:a=c,i=o,s=n;break;case 4:a=o,i=c,s=n;break;case 5:a=n,i=c,s=o;}return [255*a,255*i,255*s]},t.cmyk.rgb=function(r){var e=r[0]/100,n=r[1]/100,t=r[2]/100,o=r[3]/100;return [255*(1-Math.min(1,e*(1-o)+o)),255*(1-Math.min(1,n*(1-o)+o)),255*(1-Math.min(1,t*(1-o)+o))]},t.xyz.rgb=function(r){var e,n,t,o=r[0]/100,a=r[1]/100,i=r[2]/100;return n=-.9689*o+1.8758*a+.0415*i,t=.0557*o+-.204*a+1.057*i,e=(e=3.2406*o+-1.5372*a+-.4986*i)>.0031308?1.055*Math.pow(e,1/2.4)-.055:12.92*e,n=n>.0031308?1.055*Math.pow(n,1/2.4)-.055:12.92*n,t=t>.0031308?1.055*Math.pow(t,1/2.4)-.055:12.92*t,[255*(e=Math.min(Math.max(0,e),1)),255*(n=Math.min(Math.max(0,n),1)),255*(t=Math.min(Math.max(0,t),1))]},t.xyz.lab=function(r){var e=r[0],n=r[1],t=r[2];return n/=100,t/=108.883,e=(e/=95.047)>.008856?Math.pow(e,1/3):7.787*e+16/116,[116*(n=n>.008856?Math.pow(n,1/3):7.787*n+16/116)-16,500*(e-n),200*(n-(t=t>.008856?Math.pow(t,1/3):7.787*t+16/116))]},t.lab.xyz=function(r){var e,n,t,o=r[0];e=r[1]/500+(n=(o+16)/116),t=n-r[2]/200;var a=Math.pow(n,3),i=Math.pow(e,3),s=Math.pow(t,3);return n=a>.008856?a:(n-16/116)/7.787,e=i>.008856?i:(e-16/116)/7.787,t=s>.008856?s:(t-16/116)/7.787,[e*=95.047,n*=100,t*=108.883]},t.lab.lch=function(r){var e,n=r[0],t=r[1],o=r[2];return (e=360*Math.atan2(o,t)/2/Math.PI)<0&&(e+=360),[n,Math.sqrt(t*t+o*o),e]},t.lch.lab=function(r){var e,n=r[0],t=r[1];return e=r[2]/360*2*Math.PI,[n,t*Math.cos(e),t*Math.sin(e)]},t.rgb.ansi16=function(r){var e=r[0],n=r[1],o=r[2],a=1 in arguments?arguments[1]:t.rgb.hsv(r)[2];if(0===(a=Math.round(a/50)))return 30;var i=30+(Math.round(o/255)<<2|Math.round(n/255)<<1|Math.round(e/255));return 2===a&&(i+=60),i},t.hsv.ansi16=function(r){return t.rgb.ansi16(t.hsv.rgb(r),r[2])},t.rgb.ansi256=function(r){var e=r[0],n=r[1],t=r[2];return e===n&&n===t?e<8?16:e>248?231:Math.round((e-8)/247*24)+232:16+36*Math.round(e/255*5)+6*Math.round(n/255*5)+Math.round(t/255*5)},t.ansi16.rgb=function(r){var e=r%10;if(0===e||7===e)return r>50&&(e+=3.5),[e=e/10.5*255,e,e];var n=.5*(1+~~(r>50));return [(1&e)*n*255,(e>>1&1)*n*255,(e>>2&1)*n*255]},t.ansi256.rgb=function(r){if(r>=232){var e=10*(r-232)+8;return [e,e,e]}var n;return r-=16,[Math.floor(r/36)/5*255,Math.floor((n=r%36)/6)/5*255,n%6/5*255]},t.rgb.hex=function(r){var e=(((255&Math.round(r[0]))<<16)+((255&Math.round(r[1]))<<8)+(255&Math.round(r[2]))).toString(16).toUpperCase();return "000000".substring(e.length)+e},t.hex.rgb=function(r){var e=r.toString(16).match(/[a-f0-9]{6}|[a-f0-9]{3}/i);if(!e)return [0,0,0];var n=e[0];3===e[0].length&&(n=n.split("").map(function(r){return r+r}).join(""));var t=parseInt(n,16);return [t>>16&255,t>>8&255,255&t]},t.rgb.hcg=function(r){var e,n=r[0]/255,t=r[1]/255,o=r[2]/255,a=Math.max(Math.max(n,t),o),i=Math.min(Math.min(n,t),o),s=a-i;return e=s<=0?0:a===n?(t-o)/s%6:a===t?2+(o-n)/s:4+(n-t)/s+4,e/=6,[360*(e%=1),100*s,100*(s<1?i/(1-s):0)]},t.hsl.hcg=function(r){var e=r[1]/100,n=r[2]/100,t=1,o=0;return (t=n<.5?2*e*n:2*e*(1-n))<1&&(o=(n-.5*t)/(1-t)),[r[0],100*t,100*o]},t.hsv.hcg=function(r){var e=r[1]/100,n=r[2]/100,t=e*n,o=0;return t<1&&(o=(n-t)/(1-t)),[r[0],100*t,100*o]},t.hcg.rgb=function(r){var e=r[0]/360,n=r[1]/100,t=r[2]/100;if(0===n)return [255*t,255*t,255*t];var o,a=[0,0,0],i=e%1*6,s=i%1,l=1-s;switch(Math.floor(i)){case 0:a[0]=1,a[1]=s,a[2]=0;break;case 1:a[0]=l,a[1]=1,a[2]=0;break;case 2:a[0]=0,a[1]=1,a[2]=s;break;case 3:a[0]=0,a[1]=l,a[2]=1;break;case 4:a[0]=s,a[1]=0,a[2]=1;break;default:a[0]=1,a[1]=0,a[2]=l;}return o=(1-n)*t,[255*(n*a[0]+o),255*(n*a[1]+o),255*(n*a[2]+o)]},t.hcg.hsv=function(r){var e=r[1]/100,n=e+r[2]/100*(1-e),t=0;return n>0&&(t=e/n),[r[0],100*t,100*n]},t.hcg.hsl=function(r){var e=r[1]/100,n=r[2]/100*(1-e)+.5*e,t=0;return n>0&&n<.5?t=e/(2*n):n>=.5&&n<1&&(t=e/(2*(1-n))),[r[0],100*t,100*n]},t.hcg.hwb=function(r){var e=r[1]/100,n=e+r[2]/100*(1-e);return [r[0],100*(n-e),100*(1-n)]},t.hwb.hcg=function(r){var e=r[1]/100,n=1-r[2]/100,t=n-e,o=0;return t<1&&(o=(n-t)/(1-t)),[r[0],100*t,100*o]},t.apple.rgb=function(r){return [r[0]/65535*255,r[1]/65535*255,r[2]/65535*255]},t.rgb.apple=function(r){return [r[0]/255*65535,r[1]/255*65535,r[2]/255*65535]},t.gray.rgb=function(r){return [r[0]/100*255,r[0]/100*255,r[0]/100*255]},t.gray.hsl=t.gray.hsv=function(r){return [0,0,r[0]]},t.gray.hwb=function(r){return [0,100,r[0]]},t.gray.cmyk=function(r){return [0,0,0,r[0]]},t.gray.lab=function(r){return [r[0],0,0]},t.gray.hex=function(r){var e=255&Math.round(r[0]/100*255),n=((e<<16)+(e<<8)+e).toString(16).toUpperCase();return "000000".substring(n.length)+n},t.rgb.gray=function(r){return [(r[0]+r[1]+r[2])/3/255*100]};}),conversions_1=conversions.rgb,conversions_2=conversions.hsl,conversions_3=conversions.hsv,conversions_4=conversions.hwb,conversions_5=conversions.cmyk,conversions_6=conversions.xyz,conversions_7=conversions.lab,conversions_8=conversions.lch,conversions_9=conversions.hex,conversions_10=conversions.keyword,conversions_11=conversions.ansi16,conversions_12=conversions.ansi256,conversions_13=conversions.hcg,conversions_14=conversions.apple,conversions_15=conversions.gray;function buildGraph(){for(var r={},e=Object.keys(conversions),n=e.length,t=0;t<n;t++)r[e[t]]={distance:-1,parent:null};return r}function deriveBFS(r){var e=buildGraph(),n=[r];for(e[r].distance=0;n.length;)for(var t=n.pop(),o=Object.keys(conversions[t]),a=o.length,i=0;i<a;i++){var s=o[i],l=e[s];-1===l.distance&&(l.distance=e[t].distance+1,l.parent=t,n.unshift(s));}return e}function link(r,e){return function(n){return e(r(n))}}function wrapConversion(r,e){for(var n=[e[r].parent,r],t=conversions[e[r].parent][r],o=e[r].parent;e[o].parent;)n.unshift(e[o].parent),t=link(conversions[e[o].parent][o],t),o=e[o].parent;return t.conversion=n,t}var route=function(r){for(var e=deriveBFS(r),n={},t=Object.keys(e),o=t.length,a=0;a<o;a++){var i=t[a];null!==e[i].parent&&(n[i]=wrapConversion(i,e));}return n},convert={},models=Object.keys(conversions);function wrapRaw(r){var e=function(e){return null==e?e:(arguments.length>1&&(e=Array.prototype.slice.call(arguments)),r(e))};return "conversion"in r&&(e.conversion=r.conversion),e}function wrapRounded(r){var e=function(e){if(null==e)return e;arguments.length>1&&(e=Array.prototype.slice.call(arguments));var n=r(e);if("object"==typeof n)for(var t=n.length,o=0;o<t;o++)n[o]=Math.round(n[o]);return n};return "conversion"in r&&(e.conversion=r.conversion),e}models.forEach(function(r){convert[r]={},Object.defineProperty(convert[r],"channels",{value:conversions[r].channels}),Object.defineProperty(convert[r],"labels",{value:conversions[r].labels});var e=route(r);Object.keys(e).forEach(function(n){var t=e[n];convert[r][n]=wrapRounded(t),convert[r][n].raw=wrapRaw(t);});});var colorConvert=convert,_slice=[].slice,skippedModels=["keyword","gray","hex"],hashedModelKeys={};Object.keys(colorConvert).forEach(function(r){hashedModelKeys[_slice.call(colorConvert[r].labels).sort().join("")]=r;});var limiters={};function Color(r,e){if(!(this instanceof Color))return new Color(r,e);if(e&&e in skippedModels&&(e=null),e&&!(e in colorConvert))throw new Error("Unknown model: "+e);var n,t;if(void 0===r)this.model="rgb",this.color=[0,0,0],this.valpha=1;else if(r instanceof Color)this.model=r.model,this.color=r.color.slice(),this.valpha=r.valpha;else if("string"==typeof r){var o=colorString.get(r);if(null===o)throw new Error("Unable to parse color from string: "+r);this.model=o.model,t=colorConvert[this.model].channels,this.color=o.value.slice(0,t),this.valpha="number"==typeof o.value[t]?o.value[t]:1;}else if(r.length){this.model=e||"rgb",t=colorConvert[this.model].channels;var a=_slice.call(r,0,t);this.color=zeroArray(a,t),this.valpha="number"==typeof r[t]?r[t]:1;}else if("number"==typeof r)r&=16777215,this.model="rgb",this.color=[r>>16&255,r>>8&255,255&r],this.valpha=1;else{this.valpha=1;var i=Object.keys(r);"alpha"in r&&(i.splice(i.indexOf("alpha"),1),this.valpha="number"==typeof r.alpha?r.alpha:0);var s=i.sort().join("");if(!(s in hashedModelKeys))throw new Error("Unable to parse color from object: "+JSON.stringify(r));this.model=hashedModelKeys[s];var l=colorConvert[this.model].labels,c=[];for(n=0;n<l.length;n++)c.push(r[l[n]]);this.color=zeroArray(c);}if(limiters[this.model])for(t=colorConvert[this.model].channels,n=0;n<t;n++){var h=limiters[this.model][n];h&&(this.color[n]=h(this.color[n]));}this.valpha=Math.max(0,Math.min(1,this.valpha)),Object.freeze&&Object.freeze(this);}function roundTo(r,e){return Number(r.toFixed(e))}function roundToPlace(r){return function(e){return roundTo(e,r)}}function getset(r,e,n){return (r=Array.isArray(r)?r:[r]).forEach(function(r){(limiters[r]||(limiters[r]=[]))[e]=n;}),r=r[0],function(t){var o;return arguments.length?(n&&(t=n(t)),(o=this[r]()).color[e]=t,o):(o=this[r]().color[e],n&&(o=n(o)),o)}}function maxfn(r){return function(e){return Math.max(0,Math.min(r,e))}}function assertArray(r){return Array.isArray(r)?r:[r]}function zeroArray(r,e){for(var n=0;n<e;n++)"number"!=typeof r[n]&&(r[n]=0);return r}Color.prototype={toString:function(){return this.string()},toJSON:function(){return this[this.model]()},string:function(r){var e=this.model in colorString.to?this:this.rgb(),n=1===(e=e.round("number"==typeof r?r:1)).valpha?e.color:e.color.concat(this.valpha);return colorString.to[e.model](n)},percentString:function(r){var e=this.rgb().round("number"==typeof r?r:1),n=1===e.valpha?e.color:e.color.concat(this.valpha);return colorString.to.rgb.percent(n)},array:function(){return 1===this.valpha?this.color.slice():this.color.concat(this.valpha)},object:function(){for(var r={},e=colorConvert[this.model].channels,n=colorConvert[this.model].labels,t=0;t<e;t++)r[n[t]]=this.color[t];return 1!==this.valpha&&(r.alpha=this.valpha),r},unitArray:function(){var r=this.rgb().color;return r[0]/=255,r[1]/=255,r[2]/=255,1!==this.valpha&&r.push(this.valpha),r},unitObject:function(){var r=this.rgb().object();return r.r/=255,r.g/=255,r.b/=255,1!==this.valpha&&(r.alpha=this.valpha),r},round:function(r){return r=Math.max(r||0,0),new Color(this.color.map(roundToPlace(r)).concat(this.valpha),this.model)},alpha:function(r){return arguments.length?new Color(this.color.concat(Math.max(0,Math.min(1,r))),this.model):this.valpha},red:getset("rgb",0,maxfn(255)),green:getset("rgb",1,maxfn(255)),blue:getset("rgb",2,maxfn(255)),hue:getset(["hsl","hsv","hsl","hwb","hcg"],0,function(r){return (r%360+360)%360}),saturationl:getset("hsl",1,maxfn(100)),lightness:getset("hsl",2,maxfn(100)),saturationv:getset("hsv",1,maxfn(100)),value:getset("hsv",2,maxfn(100)),chroma:getset("hcg",1,maxfn(100)),gray:getset("hcg",2,maxfn(100)),white:getset("hwb",1,maxfn(100)),wblack:getset("hwb",2,maxfn(100)),cyan:getset("cmyk",0,maxfn(100)),magenta:getset("cmyk",1,maxfn(100)),yellow:getset("cmyk",2,maxfn(100)),black:getset("cmyk",3,maxfn(100)),x:getset("xyz",0,maxfn(100)),y:getset("xyz",1,maxfn(100)),z:getset("xyz",2,maxfn(100)),l:getset("lab",0,maxfn(100)),a:getset("lab",1),b:getset("lab",2),keyword:function(r){return arguments.length?new Color(r):colorConvert[this.model].keyword(this.color)},hex:function(r){return arguments.length?new Color(r):colorString.to.hex(this.rgb().round().color)},rgbNumber:function(){var r=this.rgb().color;return (255&r[0])<<16|(255&r[1])<<8|255&r[2]},luminosity:function(){for(var r=this.rgb().color,e=[],n=0;n<r.length;n++){var t=r[n]/255;e[n]=t<=.03928?t/12.92:Math.pow((t+.055)/1.055,2.4);}return .2126*e[0]+.7152*e[1]+.0722*e[2]},contrast:function(r){var e=this.luminosity(),n=r.luminosity();return e>n?(e+.05)/(n+.05):(n+.05)/(e+.05)},level:function(r){var e=this.contrast(r);return e>=7.1?"AAA":e>=4.5?"AA":""},isDark:function(){var r=this.rgb().color;return (299*r[0]+587*r[1]+114*r[2])/1e3<128},isLight:function(){return !this.isDark()},negate:function(){for(var r=this.rgb(),e=0;e<3;e++)r.color[e]=255-r.color[e];return r},lighten:function(r){var e=this.hsl();return e.color[2]+=e.color[2]*r,e},darken:function(r){var e=this.hsl();return e.color[2]-=e.color[2]*r,e},saturate:function(r){var e=this.hsl();return e.color[1]+=e.color[1]*r,e},desaturate:function(r){var e=this.hsl();return e.color[1]-=e.color[1]*r,e},whiten:function(r){var e=this.hwb();return e.color[1]+=e.color[1]*r,e},blacken:function(r){var e=this.hwb();return e.color[2]+=e.color[2]*r,e},grayscale:function(){var r=this.rgb().color,e=.3*r[0]+.59*r[1]+.11*r[2];return Color.rgb(e,e,e)},fade:function(r){return this.alpha(this.valpha-this.valpha*r)},opaquer:function(r){return this.alpha(this.valpha+this.valpha*r)},rotate:function(r){var e=this.hsl(),n=e.color[0];return n=(n=(n+r)%360)<0?360+n:n,e.color[0]=n,e},mix:function(r,e){var n=r.rgb(),t=this.rgb(),o=void 0===e?.5:e,a=2*o-1,i=n.alpha()-t.alpha(),s=((a*i==-1?a:(a+i)/(1+a*i))+1)/2,l=1-s;return Color.rgb(s*n.red()+l*t.red(),s*n.green()+l*t.green(),s*n.blue()+l*t.blue(),n.alpha()*o+t.alpha()*(1-o))}},Object.keys(colorConvert).forEach(function(r){if(-1===skippedModels.indexOf(r)){var e=colorConvert[r].channels;Color.prototype[r]=function(){if(this.model===r)return new Color(this);if(arguments.length)return new Color(arguments,r);var n="number"==typeof arguments[e]?e:this.valpha;return new Color(assertArray(colorConvert[this.model][r].raw(this.color)).concat(n),r)},Color[r]=function(n){return "number"==typeof n&&(n=zeroArray(_slice.call(arguments),e)),new Color(n,r)};}});var color=Color,ColorMock=function r(e){var n=this;classCallCheck(this,r),defineProperty(this,"hsl",function(){return n}),defineProperty(this,"isLight",function(){return !1}),defineProperty(this,"isDark",function(){return !1}),defineProperty(this,"negate",function(){return n}),defineProperty(this,"lighten",function(){return n}),defineProperty(this,"darken",function(){return n}),defineProperty(this,"alpha",function(){return n}),defineProperty(this,"saturate",function(){return n}),defineProperty(this,"desaturate",function(){return n}),defineProperty(this,"grayscale",function(){return n}),defineProperty(this,"whiten",function(){return n}),defineProperty(this,"blacken",function(){return n}),defineProperty(this,"fade",function(){return n}),defineProperty(this,"opaquer",function(){return n}),defineProperty(this,"rotate",function(){return n}),defineProperty(this,"contrast",function(){return 10}),defineProperty(this,"luminosity",function(){return .5}),defineProperty(this,"mix",function(){return n}),defineProperty(this,"blue",function(){return n.toString()}),defineProperty(this,"green",function(){return n.toString()}),defineProperty(this,"red",function(){return n.toString()}),defineProperty(this,"hex",function(){return n.toString()}),defineProperty(this,"rgbNumber",function(){return n.toString()}),defineProperty(this,"rgb",function(){return n.toString()}),defineProperty(this,"toString",function(){return n.color}),this.color=e;};function ColorWrapper(r){return "string"==typeof r&&-1!==r.indexOf("linear-gradient")?new ColorMock(r):color(r)}

function alertVariant(background, border, bodyColor) {
  return "\n    background-color: ".concat(background, ";\n    border-color: ").concat(border, ";\n    color: ").concat(bodyColor, ";\n  \n    hr {\n      border-top-color: ").concat(ColorWrapper(border).darken(0.5).toString(), ";\n    }\n    .alert-link {\n      color: ").concat(ColorWrapper(bodyColor).darken(0.1).toString(), ";\n    }\n  ");
}
var alert = {
  alertVariant: alertVariant
};

var defaultProps$2 = {
  '$enable-hover-media-query': false
};
function bgVariant() {
  var enableHoverMediaQuery = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps$2['$enable-hover-media-query'];
  var selector = arguments.length > 1 ? arguments[1] : undefined;
  var bgColor = arguments.length > 2 ? arguments[2] : undefined;
  return "\n    ".concat(selector, " {\n      background-color: ").concat(bgColor, " !important;\n    }\n    a").concat(selector, " {\n      ").concat(hoverFocus(enableHoverMediaQuery, "background-color: ".concat(ColorWrapper(bgColor).darken(0.2).rgb(), " !important;")), "\n    }\n  ");
}
var backgroundVariant = {
  bgVariant: bgVariant
};

var defaultProps$3 = {
  '$enable-hover-mediaQuery': false
};
function badgeVariant() {
  var enableHoverMediaQuery = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps$3['$enable-hover-mediaQuery'];
  var badgeColor = arguments.length > 1 ? arguments[1] : undefined;
  return "\n    background-color: ".concat(badgeColor, ";\n    \n    &[href] {\n      ").concat(hoverFocus(enableHoverMediaQuery, "background-color: ".concat(ColorWrapper(badgeColor).darken(0.1).toString(), ";")), "\n    }\n  ");
}
var badge = {
  defaultProps: defaultProps$3,
  badgeVariant: badgeVariant
};

var defaultProps$4 = {
  '$border-radius': '.25rem',
  '$enable-rounded': true
};
function borderRadius() {
  var enableRounded = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps$4['$enable-rounded'];
  var radius = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps$4['$border-radius'];
  if (enableRounded) {
    return "\n      border-radius: ".concat(radius, ";\n    ");
  }
  return '';
}
function borderTopRadius() {
  var enableRounded = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps$4['$enable-rounded'];
  var radius = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps$4['$border-radius'];
  if (enableRounded) {
    return "\n      border-top-right-radius: ".concat(radius, ";\n      border-top-left-radius: ").concat(radius, ";\n    ");
  }
  return '';
}
function borderRightRadius() {
  var enableRounded = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps$4['$enable-rounded'];
  var radius = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps$4['$border-radius'];
  if (enableRounded) {
    return "\n      border-bottom-right-radius: ".concat(radius, ";\n      border-top-right-radius: ").concat(radius, ";\n    ");
  }
  return '';
}
function borderBottomRadius() {
  var enableRounded = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps$4['$enable-rounded'];
  var radius = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps$4['$border-radius'];
  if (enableRounded) {
    return "\n      border-bottom-right-radius: ".concat(radius, ";\n      border-bottom-left-radius: ").concat(radius, ";\n    ");
  }
  return '';
}
function borderLeftRadius() {
  var enableRounded = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps$4['$enable-rounded'];
  var radius = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps$4['$border-radius'];
  if (enableRounded) {
    return "\n      border-bottom-left-radius: ".concat(radius, ";\n      border-top-left-radius: ").concat(radius, ";\n    ");
  }
  return '';
}
var borderRadius$1 = {
  defaultProps: defaultProps$4,
  all: borderRadius,
  top: borderTopRadius,
  right: borderRightRadius,
  bottom: borderBottomRadius,
  left: borderLeftRadius
};

var defaultProps$5 = {
  '$enable-shadows': false
};
function boxShadow() {
  var enableShadows = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps$5['$enable-shadows'];
  if (enableShadows) {
    for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      args[_key - 1] = arguments[_key];
    }
    return "\n      box-shadow: ".concat(args.join(' '), ";\n    ");
  }
  return '';
}

function unwrapExports (x) {
	return x && x.__esModule && Object.prototype.hasOwnProperty.call(x, 'default') ? x['default'] : x;
}

function createCommonjsModule$1(fn, module) {
	return module = { exports: {} }, fn(module, module.exports), module.exports;
}

var unitUtils = createCommonjsModule$1(function (module, exports) {
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }
var UnitUtils = function UnitUtils() {
  var _this = this;
  _classCallCheck(this, UnitUtils);
  this.UNIT = {
    EM: 'em',
    REM: 'rem',
    PX: 'px',
    PERCENT: '%'
  };
  this.math = {
    addition: function addition(a, b) {
      var unit = this.detectUnit(a) || this.detectUnit(b);
      return this.rmUnit(a) + this.rmUnit(b) + unit;
    }.bind(this),
    subtract: function subtract(a, b) {
      var unit = this.detectUnit(a) || this.detectUnit(b);
      return this.rmUnit(a) - this.rmUnit(b) + unit;
    }.bind(this),
    multiply: function multiply(a, b) {
      var unit = this.detectUnit(a) || this.detectUnit(b);
      return this.rmUnit(a) * this.rmUnit(b) + unit;
    }.bind(this),
    divide: function divide(a, b) {
      var unit = this.detectUnit(a) || this.detectUnit(b);
      return this.rmUnit(a) / this.rmUnit(b) + unit;
    }.bind(this)
  };
  this.detectUnit = function (value) {
    var ext;
    var valueStr = value.toString();
    if (valueStr.match(_this.UNIT.PX)) {
      ext = _this.UNIT.PX;
    } else if (valueStr.match(_this.UNIT.REM)) {
      ext = _this.UNIT.REM;
    } else if (valueStr.match(_this.UNIT.EM)) {
      ext = _this.UNIT.EM;
    } else if (valueStr.match(_this.UNIT.PERCENT)) {
      ext = _this.UNIT.PERCENT;
    } else if (!isNaN(value)) {
      return null;
    } else {
      throw new Error("detectUnit can't find unit for ".concat(value));
    }
    return ext;
  };
  this.rmUnit = function (value, unit) {
    var valueStr = value.toString();
    var ext = unit || _this.detectUnit(valueStr);
    var number = valueStr.replace(ext, '');
    return parseFloat(number);
  };
  this.toPercent = function (value) {
    var total = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 100;
    var decimal = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 2;
    return "".concat(Math.floor(value / total * 100 * Math.pow(10, decimal)) / Math.pow(10, decimal)).concat(_this.UNIT.PERCENT);
  };
};
var _default = new UnitUtils();
exports.default = _default;
module.exports = exports.default;
});
var unitUtils$1 = unwrapExports(unitUtils);

var defaultProps$6 = {
  '$grid-breakpoints': {
    xs: '0',
    sm: '576px',
    md: '768px',
    lg: '992px',
    xl: '1200px'
  }
};
function breakpointNext(name) {
  var breakpoints = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps$6['$grid-breakpoints'];
  var breakpointNames = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : Object.keys(breakpoints);
  var n = breakpointNames.indexOf(name);
  if (n !== -1 && n + 1 < breakpointNames.length) {
    return breakpointNames[n + 1];
  }
  return null;
}
function breakpointMin(name) {
  var breakpoints = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps$6['$grid-breakpoints'];
  var min = breakpoints[name];
  return min !== '0' ? min : null;
}
function breakpointMax(name) {
  var breakpoints = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps$6['$grid-breakpoints'];
  var next = breakpointNext(name, breakpoints);
  if (next) {
    var min = unitUtils$1.rmUnit(breakpointMin(next, breakpoints), unitUtils$1.UNIT.PX);
    return (min - 1).toString() + unitUtils$1.UNIT.PX;
  }
  return null;
}
function breakpointInfix(name) {
  var breakpoints = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps$6['$grid-breakpoints'];
  return !name || breakpointMin(name, breakpoints) === null ? '' : "-".concat(name);
}
function mediaBreakpointUp(name) {
  var breakpoints = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps$6['$grid-breakpoints'];
  var content = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : '';
  var min = breakpointMin(name, breakpoints);
  if (min) {
    return "\n      @media (min-width: ".concat(min, ") {\n        ").concat(content, "\n      }\n    ");
  }
  return content;
}
function mediaBreakpointDown(name) {
  var breakpoints = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps$6['$grid-breakpoints'];
  var content = arguments.length > 2 ? arguments[2] : undefined;
  var max = breakpointMax(name, breakpoints);
  if (max) {
    return "\n      @media (max-width: ".concat(max, ") {\n        ").concat(content, "\n      }\n    ");
  }
  return content;
}
function mediaBreakpointBetween(lower, upper) {
  var breakpoints = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : defaultProps$6['$grid-breakpoints'];
  var content = arguments.length > 3 ? arguments[3] : undefined;
  var min = breakpointMin(lower, breakpoints);
  var max = breakpointMax(upper, breakpoints);
  if (min && max) {
    return "\n      @media (min-width: ".concat(min, ") and (max-width: ").concat(max, ") {\n        ").concat(content, "\n      }\n    ");
  } else if (min) {
    return "\n      @media (min-width: ".concat(min, ") {\n        ").concat(content, "\n      }\n    ");
  } else if (max) {
    return "\n      @media (max-width: ".concat(max, ") {\n        ").concat(content, "\n      }\n    ");
  }
  return content;
}
function mediaBreakpointOnly(name) {
  var breakpoints = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps$6['$grid-breakpoints'];
  var content = arguments.length > 2 ? arguments[2] : undefined;
  return mediaBreakpointBetween(name, name, breakpoints, content);
}
var breakpoints = {
  defaultProps: defaultProps$6,
  up: mediaBreakpointUp,
  down: mediaBreakpointDown,
  between: mediaBreakpointBetween,
  only: mediaBreakpointOnly
};

var defaultProps$7 = {
  '$enable-transitions': true
};
function transition() {
  var enableTransitions = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps$7['$enable-transitions'];
  for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
    args[_key - 1] = arguments[_key];
  }
  if (enableTransitions && args.length) {
    return "\n      transition: ".concat(args.join(' '), ";\n    ");
  }
  return '';
}

function ifThen(conditions, returnTrue) {
  return ifElse(conditions, returnTrue, '');
}
function ifElse(conditions, returnTrue, returnFalse) {
  return conditions ? returnTrue : returnFalse;
}

var linearGradientRe = /#[0-9a-fA-F]{3,6}|rgb ?\([ 0-9.%,]+?\)/g;

var defaultProps$8 = {
  '$enable-shadows': true,
  '$enable-hover-media-query': false,
  '$enable-transitions': true,
  '$enable-rounded': true,
  '$font-weight-normal': 'normal',
  '$btn-font-weight': 'normal',
  '$btn-line-height': '1.25',
  '$btn-transition': 'all .2s ease-in-out',
  '$btn-border-width': '1px',
  '$btn-padding-x': '1rem',
  '$btn-padding-y': '.5refm',
  '$font-size-base': '1rem',
  '$btn-border-radius': '.25rem',
  '$btn-box-shadow': 'inset 0 1px 0 rgba(255, 255, 255, 0.15), 0 1px 1px rgba(0, 0, 0, 0.075)',
  '$btn-focus-box-shadow': '0 0 0 2px rgba(2, 117, 216, 0.25)',
  '$btn-disabled-opacity': '.65',
  '$btn-active-box-shadow': 'inset 0 3px 5px rgba(0, 0, 0, 0.125)',
  '$cursor-disabled': 'not-allowed',
  '$link-color': '#0275d8',
  '$link-hover-color': 'hsl(207.79999999999995, 98.2%, 27.8%)',
  '$link-hover-decoration': 'underline',
  '$btn-link-disabled-color': '#636c72',
  '$btn-padding-x-lg': '1.5rem',
  '$btn-padding-y-lg': '.75rem',
  '$font-size-lg': '1.25rem',
  '$btn-border-radius-lg': '.3rem',
  '$btn-padding-x-sm': '.5rem',
  '$btn-padding-y-sm': '.25rem',
  '$font-size-sm': '.875rem',
  '$btn-border-radius-sm': '.2rem',
  '$btn-block-spacing-y': '.5rem',
  '$btn-primary-color': '#fff',
  '$btn-primary-bg': '#0275d8',
  '$btn-primary-border': '#0275d8',
  '$btn-secondary-color': '#292b2c',
  '$btn-secondary-bg': '#fff',
  '$btn-secondary-border': '#ccc',
  '$btn-info-color': '#fff',
  '$btn-info-bg': '#5bc0de',
  '$btn-info-border': '#5bc0de',
  '$btn-success-color': '#fff',
  '$btn-success-bg': '#5cb85c',
  '$btn-success-border': '#5cb85c',
  '$btn-warning-color': '#fff',
  '$btn-warning-bg': '#f0ad4e',
  '$btn-warning-border': '#f0ad4e',
  '$btn-danger-color': '#fff',
  '$btn-danger-bg': '#d9534f',
  '$btn-danger-border': '#d9534f'
};
function buttonVariant() {
  var enableShadows = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps$8['$enable-shadows'];
  var buttonColor = arguments.length > 1 ? arguments[1] : undefined;
  var background = arguments.length > 2 ? arguments[2] : undefined;
  var border = arguments.length > 3 ? arguments[3] : undefined;
  var btnActiveBoxShadow = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : defaultProps$8['$btn-active-box-shadow'];
  var btnBoxShadow = arguments.length > 5 && arguments[5] !== undefined ? arguments[5] : defaultProps$8['$btn-box-shadow'];
  var activeBackground = ColorWrapper(background).darken(0.2).toString();
  if (background && background.includes('linear-gradient')) {
    var res = background.match(linearGradientRe);
    activeBackground = "linear-gradient(".concat(res.map(function (v) {
      return ColorWrapper(v).darken(0.2).toString();
    }).join(', '), ")");
  }
  var activeBorder = ColorWrapper(border).darken(0.12).toString();
  return "\n    color: ".concat(buttonColor, ";\n    background: ").concat(background, ";\n    border-color: ").concat(border, ";\n    ").concat(boxShadow(enableShadows, btnBoxShadow), "\n  \n    ").concat(hover("\n      color: ".concat(buttonColor, ";\n      background-color: ").concat(activeBackground, ";\n      border-color: ").concat(activeBorder, ";\n    ")), "\n  \n    &:focus,\n    &.focus {\n      ").concat(ifElse(enableShadows, "\n        box-shadow: ".concat(btnBoxShadow, ", 0 0 0 2px ").concat(ColorWrapper(border).alpha(0.5).toString(), ";\n      "), "\n        box-shadow: 0 0 0 2px ".concat(ColorWrapper(border).alpha(0.5).toString(), ";\n      ")), "\n    }\n  \n    /* Disabled comes first so active can properly restyle */\n    &.disabled,\n    &:disabled {\n      background-color: ").concat(background, ";\n      border-color: ").concat(border, ";\n    }\n    \n    &:active,\n    &.active,\n    .show > &.dropdown-toggle {\n      color: ").concat(buttonColor, ";\n      ").concat(ifElse(activeBackground.includes('linear-gradient'), "\n        background: ".concat(activeBackground, ";\n      "), "\n        background-color: ".concat(activeBackground, ";\n        background-image: none;\n      ")), "\n      \n      border-color: ").concat(activeBorder, ";\n      ").concat(boxShadow(enableShadows, btnActiveBoxShadow), "\n    }\n  ");
}
function buttonOutlineVariant(buttonColor) {
  var buttonColorHover = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '#fff';
  return "\n    color: ".concat(buttonColor, ";\n    background-image: none;\n    background-color: transparent;\n    border-color: ").concat(buttonColor, ";\n  \n    ").concat(hover("\n      color: ".concat(buttonColorHover, ";\n      background-color: ").concat(buttonColor, ";\n      border-color: ").concat(buttonColor, ";\n    ")), "\n  \n    &:focus,\n    &.focus {\n      box-shadow: 0 0 0 2px ").concat(ColorWrapper(buttonColor).alpha(0.5).toString(), ";\n    }\n  \n    &.disabled,\n    &:disabled {\n      color: ").concat(buttonColor, ";\n      border-color: transparent;\n    }\n    \n    &:active,\n    &.active,\n    & .open > &.dropdown-toggle {\n      color: ").concat(buttonColorHover, ";\n      background-color: ").concat(buttonColor, ";\n      border-color: ").concat(buttonColor, ";\n    }\n  ");
}
function buttonSize() {
  var enableRounded = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps$8['$enable-rounded'];
  var paddingY = arguments.length > 1 ? arguments[1] : undefined;
  var paddingX = arguments.length > 2 ? arguments[2] : undefined;
  var fontSize = arguments.length > 3 ? arguments[3] : undefined;
  var btnBorderRadius = arguments.length > 4 ? arguments[4] : undefined;
  return "\n    padding: ".concat(paddingY, " ").concat(paddingX, ";\n    font-size: ").concat(fontSize, ";\n    ").concat(borderRadius(enableRounded, btnBorderRadius), "\n  ");
}
function button() {
  var $enableShadows = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps$8['$enable-shadows'];
  var $enableHoverMediaQuery = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps$8['$enable-hover-media-query'];
  var $enableTransitions = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : defaultProps$8['$enable-transitions'];
  var $enableRounded = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : defaultProps$8['$enable-rounded'];
  var $fontWeightNormal = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : defaultProps$8['$font-weight-normal'];
  var $btnFontWeight = arguments.length > 5 && arguments[5] !== undefined ? arguments[5] : defaultProps$8['$btn-font-weight'];
  var $btnLineHeight = arguments.length > 6 && arguments[6] !== undefined ? arguments[6] : defaultProps$8['$btn-line-height'];
  var $btnTransition = arguments.length > 7 && arguments[7] !== undefined ? arguments[7] : defaultProps$8['$btn-transition'];
  var $btnBorderWidth = arguments.length > 8 && arguments[8] !== undefined ? arguments[8] : defaultProps$8['$btn-border-width'];
  var $btnPaddingX = arguments.length > 9 && arguments[9] !== undefined ? arguments[9] : defaultProps$8['$btn-padding-x'];
  var $btnPaddingY = arguments.length > 10 && arguments[10] !== undefined ? arguments[10] : defaultProps$8['$btn-padding-y'];
  var $fontSizeBase = arguments.length > 11 && arguments[11] !== undefined ? arguments[11] : defaultProps$8['$font-size-base'];
  var $btnBorderRadius = arguments.length > 12 && arguments[12] !== undefined ? arguments[12] : defaultProps$8['$btn-border-radius'];
  var $btnBoxShadow = arguments.length > 13 && arguments[13] !== undefined ? arguments[13] : defaultProps$8['$btn-box-shadow'];
  var $btnFocusBoxShadow = arguments.length > 14 && arguments[14] !== undefined ? arguments[14] : defaultProps$8['$btn-focus-box-shadow'];
  var $btnActiveBoxShadow = arguments.length > 15 && arguments[15] !== undefined ? arguments[15] : defaultProps$8['$btn-active-box-shadow'];
  var $cursorDisabled = arguments.length > 16 && arguments[16] !== undefined ? arguments[16] : defaultProps$8['$cursor-disabled'];
  var $linkColor = arguments.length > 17 && arguments[17] !== undefined ? arguments[17] : defaultProps$8['$link-color'];
  var $linkHoverColor = arguments.length > 18 && arguments[18] !== undefined ? arguments[18] : defaultProps$8['$link-hover-color'];
  var $linkHoverDecoration = arguments.length > 19 && arguments[19] !== undefined ? arguments[19] : defaultProps$8['$link-hover-decoration'];
  var $btnLinkDisabledColor = arguments.length > 20 && arguments[20] !== undefined ? arguments[20] : defaultProps$8['$btn-link-disabled-color'];
  var $btnPaddingXLg = arguments.length > 21 && arguments[21] !== undefined ? arguments[21] : defaultProps$8['$btn-padding-x-lg'];
  var $btnPaddingYLg = arguments.length > 22 && arguments[22] !== undefined ? arguments[22] : defaultProps$8['$btn-padding-y-lg'];
  var $fontSizeLg = arguments.length > 23 && arguments[23] !== undefined ? arguments[23] : defaultProps$8['$font-size-lg'];
  var $btnBorderRadiusLg = arguments.length > 24 && arguments[24] !== undefined ? arguments[24] : defaultProps$8['$btn-border-radius-lg'];
  var $btnPaddingXSm = arguments.length > 25 && arguments[25] !== undefined ? arguments[25] : defaultProps$8['$btn-padding-x-sm'];
  var $btnPaddingYSm = arguments.length > 26 && arguments[26] !== undefined ? arguments[26] : defaultProps$8['$btn-padding-y-sm'];
  var $fontSizeSm = arguments.length > 27 && arguments[27] !== undefined ? arguments[27] : defaultProps$8['$font-size-sm'];
  var $btnBorderRadiusSm = arguments.length > 28 && arguments[28] !== undefined ? arguments[28] : defaultProps$8['$btn-border-radius-sm'];
  var $btnBlockSpacingY = arguments.length > 29 && arguments[29] !== undefined ? arguments[29] : defaultProps$8['$btn-block-spacing-y'];
  var $btnPrimaryColor = arguments.length > 30 && arguments[30] !== undefined ? arguments[30] : defaultProps$8['$btn-primary-color'];
  var $btnPrimaryBg = arguments.length > 31 && arguments[31] !== undefined ? arguments[31] : defaultProps$8['$btn-primary-bg'];
  var $btnPrimaryBorder = arguments.length > 32 && arguments[32] !== undefined ? arguments[32] : defaultProps$8['$btn-primary-border'];
  var $btnSecondaryColor = arguments.length > 33 && arguments[33] !== undefined ? arguments[33] : defaultProps$8['$btn-secondary-color'];
  var $btnSecondaryBg = arguments.length > 34 && arguments[34] !== undefined ? arguments[34] : defaultProps$8['$btn-secondary-bg'];
  var $btnSecondaryBorder = arguments.length > 35 && arguments[35] !== undefined ? arguments[35] : defaultProps$8['$btn-secondary-border'];
  var $btnInfoColor = arguments.length > 36 && arguments[36] !== undefined ? arguments[36] : defaultProps$8['$btn-info-color'];
  var $btnInfoBg = arguments.length > 37 && arguments[37] !== undefined ? arguments[37] : defaultProps$8['$btn-info-bg'];
  var $btnInfoBorder = arguments.length > 38 && arguments[38] !== undefined ? arguments[38] : defaultProps$8['$btn-info-border'];
  var $btnSuccessColor = arguments.length > 39 && arguments[39] !== undefined ? arguments[39] : defaultProps$8['$btn-success-color'];
  var $btnSuccessBg = arguments.length > 40 && arguments[40] !== undefined ? arguments[40] : defaultProps$8['$btn-success-bg'];
  var $btnSuccessBorder = arguments.length > 41 && arguments[41] !== undefined ? arguments[41] : defaultProps$8['$btn-success-border'];
  var $btnWarningColor = arguments.length > 42 && arguments[42] !== undefined ? arguments[42] : defaultProps$8['$btn-warning-color'];
  var $btnWarningBg = arguments.length > 43 && arguments[43] !== undefined ? arguments[43] : defaultProps$8['$btn-warning-bg'];
  var $btnWarningBorder = arguments.length > 44 && arguments[44] !== undefined ? arguments[44] : defaultProps$8['$btn-warning-border'];
  var $btnDangerColor = arguments.length > 45 && arguments[45] !== undefined ? arguments[45] : defaultProps$8['$btn-danger-color'];
  var $btnDangerBg = arguments.length > 46 && arguments[46] !== undefined ? arguments[46] : defaultProps$8['$btn-danger-bg'];
  var $btnDangerBorder = arguments.length > 47 && arguments[47] !== undefined ? arguments[47] : defaultProps$8['$btn-danger-border'];
  var $btnDisabledOpacity = arguments.length > 48 && arguments[48] !== undefined ? arguments[48] : defaultProps$8['$btn-disabled-opacity'];
  return "\n  \n    font-family: inherit;\n    \n    &.btn {\n      display: inline-block;\n      font-weight: ".concat($btnFontWeight, ";\n      line-height: ").concat($btnLineHeight, ";\n      text-align: center;\n      white-space: nowrap;\n      vertical-align: middle;\n      user-select: none;\n      border: ").concat($btnBorderWidth, " solid transparent;\n      ").concat(buttonSize($enableRounded, $btnPaddingY, $btnPaddingX, $fontSizeBase, $btnBorderRadius), "\n      ").concat(transition($enableTransitions, $btnTransition), "\n      ").concat(hoverFocus($enableHoverMediaQuery, 'text-decoration: none;'), "\n\n      &:focus,\n      &.focus {\n        outline: 0;\n        box-shadow: ").concat($btnFocusBoxShadow, ";\n      }\n\n      /* Disabled comes first so active can properly restyle */\n      &.disabled,\n      &:disabled {\n        cursor: ").concat($cursorDisabled, ";\n        opacity: ").concat($btnDisabledOpacity, ";\n        ").concat(boxShadow($enableShadows, 'none'), "\n      }  \n\n      // Opinionated: add \"hand\" cursor to non-disabled .btn elements\n      &:not(:disabled):not(.disabled) {\n        cursor: pointer;\n      }\n      &:not(:disabled):not(.disabled):active,\n      &:not(:disabled):not(.disabled).active {\n        ").concat(boxShadow($enableShadows, $btnActiveBoxShadow), "\n    \n        &:focus {\n          ").concat(boxShadow($enableShadows, $btnFocusBoxShadow, $btnActiveBoxShadow), "\n        }\n      }\n    }\n    \n    a.btn.disabled,\n    fieldset[disabled] a.btn {\n      pointer-events: none;\n    }\n   \n   \n    /* Alternate buttons */\n   \n    &.btn-primary {\n      ").concat(buttonVariant($enableShadows, $btnPrimaryColor, $btnPrimaryBg, $btnPrimaryBorder, $btnActiveBoxShadow, $btnBoxShadow), "\n    }\n    &.btn-secondary {\n      ").concat(buttonVariant($enableShadows, $btnSecondaryColor, $btnSecondaryBg, $btnSecondaryBorder, $btnActiveBoxShadow, $btnBoxShadow), "\n    }\n    &.btn-info {\n      ").concat(buttonVariant($enableShadows, $btnInfoColor, $btnInfoBg, $btnInfoBorder, $btnActiveBoxShadow, $btnBoxShadow), "\n    }\n    &.btn-success {\n      ").concat(buttonVariant($enableShadows, $btnSuccessColor, $btnSuccessBg, $btnSuccessBorder, $btnActiveBoxShadow, $btnBoxShadow), "\n    }\n    &.btn-warning {\n      ").concat(buttonVariant($enableShadows, $btnWarningColor, $btnWarningBg, $btnWarningBorder, $btnActiveBoxShadow, $btnBoxShadow), "\n    }\n    &.btn-danger {\n      ").concat(buttonVariant($enableShadows, $btnDangerColor, $btnDangerBg, $btnDangerBorder, $btnActiveBoxShadow, $btnBoxShadow), "\n    }\n   \n    &.btn-outline-primary {\n      ").concat(buttonOutlineVariant($btnPrimaryBg, $btnPrimaryColor), "\n    }    \n    &.btn-outline-secondary {\n      ").concat(buttonOutlineVariant($btnSecondaryBorder, $btnSecondaryColor), "\n    }    \n    &.btn-outline-info {\n      ").concat(buttonOutlineVariant($btnInfoBg, $btnInfoColor), "\n    }    \n    &.btn-outline-success {\n      ").concat(buttonOutlineVariant($btnSuccessBg, $btnSuccessColor), "\n    }\n    &.btn-outline-warning {\n      ").concat(buttonOutlineVariant($btnWarningBg, $btnWarningColor), "\n    }\n    &.btn-outline-danger {\n      ").concat(buttonOutlineVariant($btnDangerBg, $btnDangerColor), "\n    }\n   \n    /*\n     Link buttons\n    */\n   \n    &.btn-link {\n      font-weight: ").concat($fontWeightNormal, ";\n      color: ").concat($linkColor, ";\n      border-radius: 0;\n   \n      &,\n      &:active,\n      &.active,\n      &:disabled {\n        background-color: transparent;\n        ").concat(boxShadow($enableShadows, 'none'), "\n      }\n     \n      &,\n      &:focus,\n      &:active {\n        border-color: transparent;\n      }\n     \n      ").concat(hover('border-color: transparent;'), "\n     \n      ").concat(hoverFocus($enableHoverMediaQuery, "\n        color: ".concat($linkHoverColor, ";\n        text-decoration: ").concat($linkHoverDecoration, ";\n        background-color: transparent;\n      ")), "\n     \n      &:disabled {\n        color: ").concat($btnLinkDisabledColor, ";\n        ").concat(hoverFocus($enableHoverMediaQuery, "\n          text-decoration: none;\n        "), "\n      }\n    }\n  \n  \n    /*\n     Button Sizes\n    */\n   \n    &.btn-lg {\n      /* line-height: ensure even-numbered height of button next to large input */\n      ").concat(buttonSize($enableRounded, $btnPaddingYLg, $btnPaddingXLg, $fontSizeLg, $btnBorderRadiusLg), "\n    }\n   \n    &.btn-sm {\n      /* line-height: ensure proper height of button next to small input */\n      ").concat(buttonSize($enableRounded, $btnPaddingYSm, $btnPaddingXSm, $fontSizeSm, $btnBorderRadiusSm), "\n    }\n   \n   \n    /*\n     Block button\n    */\n   \n    &.btn-block {\n      display: block;\n      width: 100%;\n    }\n   \n    /* Vertically space out multiple block buttons */\n    &.btn-block + .btn-block {\n      margin-top: ").concat($btnBlockSpacingY, ";\n    }\n   \n    /* Specificity overrides */\n    input[type=\"submit\"],\n    input[type=\"reset\"],\n    input[type=\"button\"] {\n      &.btn-block {\n        width: 100%;\n      }\n    }\n   \n    /* Reboot Scss */\n    touch-action: manipulation;\n    line-height: inherit;\n    &:focus{\n      outline: 1px dotted;\n      outline: 5px auto -webkit-focus-ring-color;\n    }\n    \n    &[type=\"button\"],\n    &[type=\"reset\"],\n    &[type=\"submit\"] {\n      -webkit-appearance: button;\n    }\n    \n    &::-moz-focus-inner,\n    &[type=\"button\"]::-moz-focus-inner,\n    &[type=\"reset\"]::-moz-focus-inner,\n    &[type=\"submit\"]::-moz-focus-inner {\n      padding: 0;\n      border-style: none;\n    }\n\n  ");
}
var buttons = {
  defaultProps: defaultProps$8,
  buttonVariant: buttonVariant,
  buttonOutlineVariant: buttonOutlineVariant,
  buttonSize: buttonSize,
  button: button
};

var defaultProps$9 = {
  '$enable-shadows': true,
  '$enable-rounded': true,
  '$input-btn-border-width': '1px',
  '$btn-padding-x': '1rem',
  '$btn-active-box-shadow': 'inset 0 3px 5px rgba(0,0,0,.125)',
  '$btn-padding-x-lg': '1.5rem',
  '$btn-padding-y-lg': '.75rem',
  '$font-size-lg': '1.25rem',
  '$btn-border-radius-lg': '.3rem',
  '$btn-padding-y-sm': '.25rem',
  '$btn-padding-x-sm': '.5rem',
  '$font-size-sm': '.875rem',
  '$btn-border-radius-sm': '.2rem',
  '$btn-border-width': '1px'
};
function buttonGroup() {
  var $enableShadows = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps$9['$enable-shadows'];
  var $enableRounded = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps$9['$enable-rounded'];
  var $inputBtnBorderWidth = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : defaultProps$9['$input-btn-border-width'];
  var $btnPaddingX = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : defaultProps$9['$btn-padding-x'];
  var $btnActiveBoxShadow = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : defaultProps$9['$btn-active-box-shadow'];
  var $btnPaddingXLg = arguments.length > 5 && arguments[5] !== undefined ? arguments[5] : defaultProps$9['$btn-padding-x-lg'];
  var $btnPaddingYLg = arguments.length > 6 && arguments[6] !== undefined ? arguments[6] : defaultProps$9['$btn-padding-y-lg'];
  var $fontSizeLg = arguments.length > 7 && arguments[7] !== undefined ? arguments[7] : defaultProps$9['$font-size-lg'];
  var $btnBorderRadiusLg = arguments.length > 8 && arguments[8] !== undefined ? arguments[8] : defaultProps$9['$btn-border-radius-lg'];
  var $btnPaddingXSm = arguments.length > 9 && arguments[9] !== undefined ? arguments[9] : defaultProps$9['$btn-padding-x-sm'];
  var $btnPaddingYSm = arguments.length > 10 && arguments[10] !== undefined ? arguments[10] : defaultProps$9['$btn-padding-y-sm'];
  var $fontSizeSm = arguments.length > 11 && arguments[11] !== undefined ? arguments[11] : defaultProps$9['$font-size-sm'];
  var $btnBorderRadiusSm = arguments.length > 12 && arguments[12] !== undefined ? arguments[12] : defaultProps$9['$btn-border-radius-sm'];
  return " \n    /*  Make the div behave like a button */\n    &.btn-group,\n    & .btn-group,\n    &.btn-group-vertical,\n    & .btn-group-vertical {\n      position: relative;\n      display: inline-flex;\n      vertical-align: middle; /* match .btn alignment given font-size hack above */\n    \n      > .btn {\n        position: relative;\n        flex: 0 1 auto;\n        margin-bottom: 0;\n    \n        /* Bring the \"active\" button to the front */\n        &:focus,\n        &:active,\n        &.active {\n          z-index: 2;\n        }\n        ".concat(hover("\n          z-index: 2;\n        "), "\n      }\n    }\n    \n    /*  Prevent double borders when buttons are next to each other */\n    &.btn-group,\n    & .btn-group {\n      .btn + .btn,\n      .btn + .btn-group,\n      .btn-group + .btn,\n      .btn-group + .btn-group {\n        margin-left: -").concat($inputBtnBorderWidth, ";\n      }\n    }\n    \n    /* Optional: Group multiple button groups together for a toolbar */\n    &.btn-toolbar,\n    & .btn-toolbar {\n      display: flex;\n      flex-wrap: wrap;\n      justify-content: flex-start;\n    \n      .input-group {\n        width: auto;\n      }\n    }\n     \n    &.btn-group,\n    & .btn-group {\n      > .btn:not(:first-child):not(:last-child):not(.dropdown-toggle) {\n        border-radius: 0;\n      }\n    }\n    \n    /* Set corners individual because sometimes a single button can be in a .btn-group and we need :first-child and :last-child to both match */\n    &.btn-group,\n    & .btn-group {\n      > .btn:first-child {\n        margin-left: 0;\n    \n        &:not(:last-child):not(.dropdown-toggle) {\n          ").concat(borderRightRadius($enableRounded, '0'), "\n        }\n      }\n    }\n    /* Need .dropdown-toggle since :last-child does not apply given a .dropdown-menu immediately after it */\n    &.btn-group > .btn:last-child:not(:first-child),\n    & .btn-group > .btn:last-child:not(:first-child),\n    &.btn-group > .dropdown-toggle:not(:first-child),\n    & .btn-group > .dropdown-toggle:not(:first-child) {\n      ").concat(borderLeftRadius($enableRounded, '0'), "\n    }\n    \n    /* Custom edits for including btn-groups within btn-groups (useful for including dropdown buttons within a btn-group) */\n    &.btn-group > .btn-group,\n    & .btn-group > .btn-group {\n      float: left;\n    }\n    &.btn-group > .btn-group:not(:first-child):not(:last-child) > .btn,\n    & .btn-group > .btn-group:not(:first-child):not(:last-child) > .btn {\n      border-radius: 0;\n    }\n    &.btn-group > .btn-group:first-child:not(:last-child),\n    & .btn-group > .btn-group:first-child:not(:last-child) {\n      > .btn:last-child,\n      > .dropdown-toggle {\n        ").concat(borderRightRadius($enableRounded, '0'), "\n      }\n    }\n    &.btn-group > .btn-group:last-child:not(:first-child) > .btn:first-child,\n    & .btn-group > .btn-group:last-child:not(:first-child) > .btn:first-child {\n      ").concat(borderLeftRadius($enableRounded, '0'), "\n    }\n    \n    /* On active and open, do not show outline */\n    &.btn-group .dropdown-toggle:active,\n    & .btn-group .dropdown-toggle:active,\n    &.btn-group.open .dropdown-toggle,\n    & .btn-group.open .dropdown-toggle {\n      outline: 0;\n    }\n    \n    \n    /* \n    Sizing Remix the default button sizing classes into new ones for easier manipulation.\n    */\n    \n    &.btn-group-sm > .btn,\n    & .btn-group-sm > .btn { \n      ").concat(buttonSize($enableRounded, $btnPaddingYSm, $btnPaddingXSm, $fontSizeSm, $btnBorderRadiusSm), "\n    }\n    &.btn-group-lg > .btn,\n    & .btn-group-lg > .btn {\n      ").concat(buttonSize($enableRounded, $btnPaddingYLg, $btnPaddingXLg, $fontSizeLg, $btnBorderRadiusLg), "\n    }\n    \n    /*\n     Split button dropdowns\n    */\n    \n    & .btn + .dropdown-toggle-split {\n      padding-right: ").concat(unitUtils$1.math.multiply($btnPaddingX, 0.75), ";\n      padding-left: ").concat(unitUtils$1.math.multiply($btnPaddingX, 0.75), ";\n    \n      &::after {\n        margin-left: 0;\n      }\n    }\n    \n    & .btn-sm + .dropdown-toggle-split {\n      padding-right: ").concat(unitUtils$1.math.multiply($btnPaddingXSm, 0.75), ";\n      padding-left: ").concat(unitUtils$1.math.multiply($btnPaddingXSm, 0.75), ";\n    }\n    \n    & .btn-lg + .dropdown-toggle-split {\n      padding-right: ").concat(unitUtils$1.math.multiply($btnPaddingXLg, 0.75), ";\n      padding-left: ").concat(unitUtils$1.math.multiply($btnPaddingXLg, 0.75), ";\n    }\n    \n    \n    /* The clickable button for toggling the menu */\n    /* Remove the gradient and set the same inset shadow as the :active state */\n    &.btn-group.open .dropdown-toggle {\n      ").concat(boxShadow($enableShadows, $btnActiveBoxShadow), "\n    \n      /* Show no shadow for .btn-link since it has no other button styles. */\n      &.btn-link {\n        ").concat(boxShadow($enableShadows, 'none'), "\n      }\n    }\n\n    /*\n     Vertical button groups\n    */\n    \n    &.btn-group-vertical,\n    & .btn-group-vertical {\n      display: inline-flex;\n      flex-direction: column;\n      align-items: flex-start;\n      justify-content: center;\n    \n      .btn,\n      .btn-group {\n        width: 100%;\n      }\n      \n      > .btn + .btn,\n      > .btn + .btn-group,\n      > .btn-group + .btn,\n      > .btn-group + .btn-group {\n        margin-top: -").concat($inputBtnBorderWidth, ";\n        margin-left: 0;\n      }\n    }\n    \n    &.btn-group-vertical > .btn,\n    & .btn-group-vertical > .btn {\n      &:not(:first-child):not(:last-child) {\n        border-radius: 0;\n      }\n      &:first-child:not(:last-child) {\n        ").concat(borderBottomRadius($enableRounded, '0'), "\n      }\n      &:last-child:not(:first-child) {\n        ").concat(borderTopRadius($enableRounded, '0'), "\n      }\n    }\n    \n    &.btn-group-vertical > .btn-group:not(:first-child):not(:last-child) > .btn,\n    & .btn-group-vertical > .btn-group:not(:first-child):not(:last-child) > .btn {\n      border-radius: 0;\n    }\n    \n    &.btn-group-vertical > .btn-group:first-child:not(:last-child),\n    & .btn-group-vertical > .btn-group:first-child:not(:last-child) {\n      > .btn:last-child,\n      > .dropdown-toggle {\n        ").concat(borderBottomRadius($enableRounded, '0'), "      \n      }\n    }\n    &.btn-group-vertical > .btn-group:last-child:not(:first-child) > .btn:first-child,\n    & .btn-group-vertical > .btn-group:last-child:not(:first-child) > .btn:first-child {\n      ").concat(borderTopRadius($enableRounded, '0'), "\n    }\n    \n    &.btn-group {\n      > .btn,\n      > .btn-group > .btn {\n        input[type=\"radio\"],\n        input[type=\"checkbox\"] {\n          position: absolute;\n          clip: rect(0,0,0,0);\n          pointer-events: none;\n        }\n      }\n    }\n  ");
}
var buttonGroup$1 = {
  defaultProps: defaultProps$9,
  buttonGroup: buttonGroup
};

var detectUnit = unitUtils$1.detectUnit,
    rmUnit = unitUtils$1.rmUnit;
var defaultProps$a = {
  '$enable-rounded': true,
  '$enable-hover-media-query': false,
  '$card-spacer-x': '1.25rem',
  '$card-spacer-y': '.75rem',
  '$card-bg': '#fff',
  '$card-border-width': '1px',
  '$card-border-color': 'rgba(0, 0, 0, 0.125)',
  '$card-border-radius': '.25rem',
  '$card-cap-bg': '#f7f7f9',
  '$card-border-radius-inner': 'calc(.25rem - 1px)',
  '$brand-primary': '#0275d8',
  '$brand-success': '#5cb85c',
  '$brand-info': '#5bc0de',
  '$brand-warning': '#f0ad4e',
  '$brand-danger': '#d9534f',
  '$btn-primary-bg': '#0275d8',
  '$btn-secondary-border': '#ccc',
  '$btn-info-bg': '#5bc0de',
  '$btn-success-bg': '#5cb85c',
  '$btn-warning-bg': '#f0ad4e',
  '$btn-danger-bg': '#d9534f',
  '$card-link-hover-color': '#fff',
  '$card-img-overlay-padding': '1.25rem'
};
function cardVariant(cardBackground, cardBorder) {
  return "\n    background-color: ".concat(cardBackground, ";\n    border-color: ").concat(cardBorder, ";\n  \n    & .card-header,\n    & .card-footer {\n      background-color: transparent;\n    }\n  ");
}
function cardOutlineVariant(cardColor) {
  return "\n    background-color: transparent;\n    border-color: ".concat(cardColor, ";\n  ");
}
function cardInverse() {
  var enableHoverMediaQuery = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps$a['$enable-hover-media-query'];
  var cardLinkHoverColor = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps$a['$card-link-hover-color'];
  return "\n    color: rgba(255,255,255,.65);\n    & .card-header,\n    & .card-footer {\n      background-color: transparent;\n      border-color: rgba(255,255,255,.2);\n    }\n    & .card-header,\n    & .card-footer,\n    & .card-title,\n    & .card-blockquote {\n      color: #fff;\n    }\n    & .card-link,\n    & .card-text,\n    & .card-subtitle,\n    & .card-blockquote .blockquote-footer {\n      color: rgba(255,255,255,.65);\n    }\n    \n    & .card-link {\n      ".concat(hoverFocus(enableHoverMediaQuery, "color: ".concat(cardLinkHoverColor, ";")), "\n    }\n  ");
}
function card() {
  var $enableRounded = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps$a['$enable-rounded'];
  var $enableHoverMediaQuery = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps$a['$enable-hover-media-query'];
  var $cardSpacerY = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : defaultProps$a['$card-spacer-y'];
  var $cardSpacerX = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : defaultProps$a['$card-spacer-x'];
  var $cardBg = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : defaultProps$a['$card-bg'];
  var $cardBorderWidth = arguments.length > 5 && arguments[5] !== undefined ? arguments[5] : defaultProps$a['$card-border-width'];
  var $cardBorderColor = arguments.length > 6 && arguments[6] !== undefined ? arguments[6] : defaultProps$a['$card-border-color'];
  var $cardBorderRadius = arguments.length > 7 && arguments[7] !== undefined ? arguments[7] : defaultProps$a['$card-border-radius'];
  var $cardCapBg = arguments.length > 8 && arguments[8] !== undefined ? arguments[8] : defaultProps$a['$card-cap-bg'];
  var $cardBorderRadiusInner = arguments.length > 9 && arguments[9] !== undefined ? arguments[9] : defaultProps$a['$card-border-radius-inner'];
  var $brandPrimary = arguments.length > 10 && arguments[10] !== undefined ? arguments[10] : defaultProps$a['$brand-primary'];
  var $brandSuccess = arguments.length > 11 && arguments[11] !== undefined ? arguments[11] : defaultProps$a['$brand-success'];
  var $brandInfo = arguments.length > 12 && arguments[12] !== undefined ? arguments[12] : defaultProps$a['$brand-info'];
  var $brandWarning = arguments.length > 13 && arguments[13] !== undefined ? arguments[13] : defaultProps$a['$brand-warning'];
  var $brandDanger = arguments.length > 14 && arguments[14] !== undefined ? arguments[14] : defaultProps$a['$brand-danger'];
  var $btnPrimaryBg = arguments.length > 15 && arguments[15] !== undefined ? arguments[15] : defaultProps$a['$btn-primary-bg'];
  var $btnSecondaryBorder = arguments.length > 16 && arguments[16] !== undefined ? arguments[16] : defaultProps$a['$btn-secondary-border'];
  var $btnInfoBg = arguments.length > 17 && arguments[17] !== undefined ? arguments[17] : defaultProps$a['$btn-info-bg'];
  var $btnSuccessBg = arguments.length > 18 && arguments[18] !== undefined ? arguments[18] : defaultProps$a['$btn-success-bg'];
  var $btnWarningBg = arguments.length > 19 && arguments[19] !== undefined ? arguments[19] : defaultProps$a['$btn-warning-bg'];
  var $btnDangerBg = arguments.length > 20 && arguments[20] !== undefined ? arguments[20] : defaultProps$a['$btn-danger-bg'];
  var $cardLinkHoverColor = arguments.length > 21 && arguments[21] !== undefined ? arguments[21] : defaultProps$a['$card-link-hover-color'];
  var $cardImgOverlayPadding = arguments.length > 22 && arguments[22] !== undefined ? arguments[22] : defaultProps$a['$card-img-overlay-padding'];
  return "\n    & .card {\n      position: relative;\n      display: flex;\n      flex-direction: column;\n      background-color: ".concat($cardBg, ";\n      border: ").concat($cardBorderWidth, " solid ").concat($cardBorderColor, ";\n      ").concat(borderRadius($enableRounded, $cardBorderRadius), "\n    }\n    \n    & .card-block {\n      flex: 1 1 auto;\n\n      padding: ").concat($cardSpacerX, ";\n    }\n    \n    & .card-title {\n      margin-bottom: ").concat($cardSpacerY, ";\n    }\n    \n    & .card-subtitle {\n      margin-top: -").concat(rmUnit($cardSpacerY, detectUnit($cardSpacerY)) / 2 + detectUnit($cardSpacerY), ";\n      margin-bottom: 0;\n    }\n    \n    & .card-text:last-child {\n      margin-bottom: 0;\n    }\n   \n    & .card-link {\n      ").concat(hover('text-decoration: none;'), "\n    \n      + .card-link {\n        margin-left: ").concat($cardSpacerX, ";\n      }\n    }\n    \n    & .card{\n      > .list-group:first-child {\n        .list-group-item:first-child {\n          ").concat(borderTopRadius($enableRounded, $cardBorderRadius), "\n        }\n      }\n    \n      > .list-group:last-child {\n        .list-group-item:last-child {\n          ").concat(borderBottomRadius($enableRounded, $cardBorderRadius), "\n        }\n      }\n    }\n    \n    & .card-header {\n      padding: ").concat($cardSpacerY, " ").concat($cardSpacerX, ";\n      margin-bottom: 0;\n      background-color: ").concat($cardCapBg, ";\n      border-bottom: ").concat($cardBorderWidth, " solid ").concat($cardBorderColor, ";\n    \n      &:first-child {\n        ").concat(borderRadius($enableRounded, $cardBorderRadiusInner, $cardBorderRadiusInner, '0', '0'), "\n      }\n    }\n    \n    & .card-footer {\n      padding: ").concat($cardSpacerY, " ").concat($cardSpacerX, ";\n      background-color: ").concat($cardCapBg, ";\n      border-top: ").concat($cardBorderWidth, " solid ").concat($cardBorderColor, ";\n    \n      &:last-child {\n        ").concat(borderRadius($enableRounded, '0', '0', $cardBorderRadiusInner, $cardBorderRadiusInner), "\n      }\n    }\n\n    & .card-header-tabs {\n      margin-right: -").concat(rmUnit($cardSpacerX, detectUnit($cardSpacerX)) / 2 + detectUnit($cardSpacerX), ";\n      margin-bottom: -").concat($cardSpacerY, ";\n      margin-left: -").concat(rmUnit($cardSpacerX, detectUnit($cardSpacerX)) / 2 + detectUnit($cardSpacerX), ";\n      border-bottom: 0;\n    }\n    \n    & .card-header-pills {\n      margin-right: -").concat(rmUnit($cardSpacerX, detectUnit($cardSpacerX)) / 2 + detectUnit($cardSpacerX), ";\n      margin-left: -").concat(rmUnit($cardSpacerX, detectUnit($cardSpacerX)) / 2 + detectUnit($cardSpacerX), ";\n    }\n    \n    & .card-primary {\n      ").concat(cardVariant($brandPrimary, $brandPrimary), "\n    }\n    & .card-success {\n      ").concat(cardVariant($brandSuccess, $brandSuccess), "\n    }\n    & .card-info {\n      ").concat(cardVariant($brandInfo, $brandInfo), "\n    }\n    & .card-warning {\n      ").concat(cardVariant($brandWarning, $brandWarning), "\n    }\n    & .card-danger {\n      ").concat(cardVariant($brandDanger, $brandDanger), "\n    }\n    \n    & .card-outline-primary {\n      ").concat(cardOutlineVariant($btnPrimaryBg), "\n    }\n    & .card-outline-secondary {\n      ").concat(cardOutlineVariant($btnSecondaryBorder), "\n    }\n    & .card-outline-info {\n      ").concat(cardOutlineVariant($btnInfoBg), "\n    }\n    & .card-outline-success {\n      ").concat(cardOutlineVariant($btnSuccessBg), "\n    }\n    & .card-outline-warning {\n      ").concat(cardOutlineVariant($btnWarningBg), "\n    }\n    & .card-outline-danger {\n      ").concat(cardOutlineVariant($btnDangerBg), "\n    }\n        \n    & .card-inverse {\n      ").concat(cardInverse($enableHoverMediaQuery, $cardLinkHoverColor), "\n    }\n\n    & .card-blockquote {\n      padding: 0;\n      margin-bottom: 0;\n      border-left: 0;\n    }\n    \n    & .card-img {\n      ").concat(borderRadius($enableRounded, $cardBorderRadiusInner), "\n    }\n    \n    & .card-img-overlay {\n      position: absolute;\n      top: 0;\n      right: 0;\n      bottom: 0;\n      left: 0;\n      padding: ").concat($cardImgOverlayPadding, ";\n    }\n\n    & .card-img-top {\n      ").concat(borderTopRadius($enableRounded, $cardBorderRadiusInner), "\n    }\n    \n    & .card-img-bottom {\n      ").concat(borderBottomRadius($enableRounded, $cardBorderRadiusInner), "\n    }\n  ");
}
var cards = {
  defaultProps: defaultProps$a,
  cardVariant: cardVariant,
  cardOutlineVariant: cardOutlineVariant,
  cardInverse: cardInverse,
  card: card
};

function clearfix() {
  return "\n    &::after {\n      content: \"\";\n      display: table;\n      clear: both;\n    }\n  ";
}

function floatLeft() {
  return "\n    float: left !important;\n  ";
}
function floatRight() {
  return "\n    float: right !important;\n  ";
}
function floatNone() {
  return "\n    float: none !important;\n  ";
}
var float = {
  floatLeft: floatLeft,
  floatRight: floatRight,
  floatNone: floatNone
};

var defaultProps$b = {
  '$enable-rounded': true,
  '$enable-transitions': true,
  '$enable-shadows': false,
  '$input-height': '2.5rem',
  '$input-padding-y': '.5rem',
  '$input-padding-x': '.75rem',
  '$font-size-base': '1rem',
  '$input-line-height': '1.25',
  '$input-color': '#464a4c',
  '$input-bg': '#fff',
  '$input-border-radius': '.25rem',
  '$input-btn-border-width': '1px',
  '$input-border-color': 'rgba(0, 0, 0, 0.15)',
  '$input-transition': 'border-color ease-in-out .15s, box-shadow ease-in-out .15s',
  '$input-box-shadow': 'inset 0 1px 1px rgba(0, 0, 0, 0.075)',
  '$input-color-focus': '#464a4c',
  '$input-bg-focus': '#fff',
  '$input-border-focus': 'hsl(207.79999999999995, 98.2%, 53.4%)',
  '$input-box-shadow-focus': 'inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(hsl(207.79999999999995, 98.2%, 53.4%),.6)',
  '$input-color-placeholder': '#636c72',
  '$input-bg-disabled': '#eceeef',
  '$cursor-disabled': 'not-allowed'
};
function formControl() {
  var $enableRounded = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps$b['$enable-rounded'];
  var $enableTransitions = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps$b['$enable-transitions'];
  var $enableShadows = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : defaultProps$b['$enable-shadows'];
  var $inputHeight = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : defaultProps$b['$input-height'];
  var $inputPaddingY = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : defaultProps$b['$input-padding-y'];
  var $inputPaddingX = arguments.length > 5 && arguments[5] !== undefined ? arguments[5] : defaultProps$b['$input-padding-x'];
  var $fontSizeBase = arguments.length > 6 && arguments[6] !== undefined ? arguments[6] : defaultProps$b['$font-size-base'];
  var $inputLineHeight = arguments.length > 7 && arguments[7] !== undefined ? arguments[7] : defaultProps$b['$input-line-height'];
  var $inputColor = arguments.length > 8 && arguments[8] !== undefined ? arguments[8] : defaultProps$b['$input-color'];
  var $inputBg = arguments.length > 9 && arguments[9] !== undefined ? arguments[9] : defaultProps$b['$input-bg'];
  var $inputBorderRadius = arguments.length > 10 && arguments[10] !== undefined ? arguments[10] : defaultProps$b['$input-border-radius'];
  var $inputBtnBorderWidth = arguments.length > 11 && arguments[11] !== undefined ? arguments[11] : defaultProps$b['$input-btn-border-width'];
  var $inputBorderColor = arguments.length > 12 && arguments[12] !== undefined ? arguments[12] : defaultProps$b['$input-border-color'];
  var $inputTransition = arguments.length > 13 && arguments[13] !== undefined ? arguments[13] : defaultProps$b['$input-transition'];
  var $inputBoxShadow = arguments.length > 14 && arguments[14] !== undefined ? arguments[14] : defaultProps$b['$input-box-shadow'];
  var $inputColorFocus = arguments.length > 15 && arguments[15] !== undefined ? arguments[15] : defaultProps$b['$input-color-focus'];
  var $inputBgFocus = arguments.length > 16 && arguments[16] !== undefined ? arguments[16] : defaultProps$b['$input-bg-focus'];
  var $inputBorderFocus = arguments.length > 17 && arguments[17] !== undefined ? arguments[17] : defaultProps$b['$input-border-focus'];
  var $inputBoxShadowFocus = arguments.length > 18 && arguments[18] !== undefined ? arguments[18] : defaultProps$b['$input-box-shadow-focus'];
  var $inputColorPlaceholder = arguments.length > 19 && arguments[19] !== undefined ? arguments[19] : defaultProps$b['$input-color-placeholder'];
  var $inputBgDisabled = arguments.length > 20 && arguments[20] !== undefined ? arguments[20] : defaultProps$b['$input-bg-disabled'];
  var $cursorDisabled = arguments.length > 21 && arguments[21] !== undefined ? arguments[21] : defaultProps$b['$cursor-disabled'];
  return "\n      & .form-control {\n        display: block;\n        width: 100%;\n  \n        /* Make inputs at least the height of their button counterpart (base line-height + padding + border) */\n        /* height: ".concat($inputHeight, "; */\n  \n        padding: ").concat($inputPaddingY, " ").concat($inputPaddingX, ";\n        font-size: ").concat($fontSizeBase, ";\n        line-height: ").concat($inputLineHeight, ";\n        color: ").concat($inputColor, ";\n        background-color: ").concat($inputBg, ";\n  \n        /* Reset unusual Firefox-on-Android default style; see https://github.com/necolas/normalize.css/issues/214. */\n        background-image: none;\n        background-clip: padding-box;\n        /* Note: This has no effect on selects in some browsers, due to the limited stylability of selects in CSS. */\n        ").concat($enableRounded ? "border-radius: ".concat($inputBorderRadius, ";") : 'border-radius: 0;', " /* Manually use the if/else instead of the mixin to account for iOS override */\n        border: ").concat($inputBtnBorderWidth, " solid ").concat($inputBorderColor, ";\n        ").concat(transition($enableTransitions, $inputTransition), "\n        ").concat(boxShadow($enableShadows, $inputBoxShadow), "\n  \n        /* Unstyle the caret on selects in IE10+. */\n        &::-ms-expand {\n          background-color: transparent;\n          border: 0;\n        }\n  \n        /* Customize the :focus state to imitate native WebKit styles. */\n        ").concat(formControlFocus($enableShadows, $inputColorFocus, $inputBgFocus, $inputBorderFocus, $inputBoxShadowFocus), "\n  \n        /* Placeholder */\n        &::placeholder {\n          color: ").concat($inputColorPlaceholder, ";\n          /* Override Firefox unusual default opacity; see https://github.com/twbs/bootstrap/pull/11526. */\n          opacity: 1;\n        }\n  \n        /* Disabled and read-only inputs\n         HTML5 says that controls under a fieldset > legend:first-child will not be\n         disabled if the fieldset is disabled. Due to implementation difficulty, we\n         do not honor that edge case; we style them as disabled anyway.\n         */\n  \n        &:disabled,\n        &[readonly] {\n          background-color:").concat($inputBgDisabled, ";\n          /* iOS fix for unreadable disabled content; see https://github.com/twbs/bootstrap/issues/11655. */\n          opacity: 1;\n        }\n  \n        &:disabled {\n          cursor: ").concat($cursorDisabled, ";\n        }\n      }\n  ");
}
function formControlValidation() {
  var enableShadows = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps$b['$enable-shadows'];
  var formColor = arguments.length > 1 ? arguments[1] : undefined;
  var inputBoxShadow = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : defaultProps$b['$input-box-shadow'];
  return "\n    /* Color the label and help text */\n    & .form-control-feedback,\n    & .form-control-label,\n    & .col-form-label,\n    & .form-check-label,\n    & .custom-control {\n      color: ".concat(formColor, ";\n    }\n  \n    /* Set the border and box shadow on specific inputs to match */\n      \n    & .form-control,\n    & .custom-select,\n    & .custom-file-control {\n      border-color: ").concat(formColor, ";\n  \n      &:focus {\n        ").concat(boxShadow(enableShadows, "".concat(inputBoxShadow, ", 0 0 6px ").concat(ColorWrapper(formColor).lighten(0.2).toString())), "\n      }\n    }\n  \n    /* Set validation states also for addons */\n    .input-group-addon {\n      color: ").concat(formColor, ";\n      border-color: ").concat(formColor, ";\n      background-color: ").concat(ColorWrapper(formColor).lighten(0.40).toString(), ";\n    }\n  ");
}
function formControlFocus() {
  var enableShadows = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps$b['$enable-shadows'];
  var inputColorFocus = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps$b['$input-color-focus'];
  var inputBgFocus = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : defaultProps$b['$input-bg-focus'];
  var inputBorderFocus = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : defaultProps$b['$input-border-focus'];
  var inputBoxShadowFocus = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : defaultProps$b['$input-box-shadow-focus'];
  return "\n    &:focus {\n      color: ".concat(inputColorFocus, ";\n      background-color: ").concat(inputBgFocus, ";\n      border-color: ").concat(inputBorderFocus, ";\n      outline: none;\n      ").concat(boxShadow(enableShadows, inputBoxShadowFocus), "\n    }\n  ");
}
function inputSize() {
  var enableRounded = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps$b['$enable-rounded'];
  var parent = arguments.length > 1 ? arguments[1] : undefined;
  var inputHeight = arguments.length > 2 ? arguments[2] : undefined;
  var paddingY = arguments.length > 3 ? arguments[3] : undefined;
  var paddingX = arguments.length > 4 ? arguments[4] : undefined;
  var fontSize = arguments.length > 5 ? arguments[5] : undefined;
  var lineHeight = arguments.length > 6 ? arguments[6] : undefined;
  var inputBorderRadius = arguments.length > 7 && arguments[7] !== undefined ? arguments[7] : defaultProps$b['$input-border-radius'];
  return "\n    ".concat(parent, " {\n      height: ").concat(inputHeight, ";\n      padding: ").concat(paddingY, " ").concat(paddingX, ";\n      font-size: ").concat(fontSize, ";\n      line-height: ").concat(lineHeight, ";\n      ").concat(borderRadius(enableRounded, inputBorderRadius), "\n    }\n  \n    select").concat(parent, " {\n      height: ").concat(inputHeight, ";\n      line-height: ").concat(inputHeight, ";\n    }\n  \n    textarea").concat(parent, ",\n      select[multiple]").concat(parent, " {\n      height: auto;\n    }\n  ");
}
var forms = {
  defaultProps: defaultProps$b,
  formControl: formControl,
  formControlValidation: formControlValidation,
  formControlFocus: formControlFocus,
  inputSize: inputSize
};

var defaultProps$c = {
  '$enable-rounded': true,
  '$enable-shadows': false,
  '$custom-control-checked-indicator-box-shadow': 'none',
  '$custom-control-active-indicator-box-shadow': 'none',
  '$custom-control-indicator-box-shadow': 'inset 0 .25rem .25rem rgba(0, 0, 0, 0.1)',
  '$custom-checkbox-indeterminate-box-shadow': 'none',
  '$custom-select-focus-box-shadow': 'inset 0 1px 2px rgba(0, 0, 0, 0.75), 0 0 5px rgba(hsl(207.79999999999995, 98.2%, 53.4%), .5)',
  '$custom-file-focus-box-shadow': '0 0 0 .075rem #fff, 0 0 0 .2rem #0275d8',
  '$custom-file-box-shadow': 'inset 0 .2rem .4rem rgba(0, 0, 0, 0.05)',
  '$custom-select-border-radius': '.25rem',
  '$custom-file-border-radius': '.25rem',
  '$input-bg': '#fff',
  '$custom-select-line-height': '1.25px',
  '$line-height-base': '1.5',
  '$custom-control-gutter': '1.5rem',
  '$custom-control-spacer-x': '1rem',
  '$custom-control-checked-indicator-color': '#fff',
  '$custom-control-checked-indicator-bg': '#0275d8',
  '$custom-control-focus-indicator-box-shadow': '0 0 0 1px #fff, 0 0 0 3px #0275d8',
  '$custom-control-active-indicator-color': '#fff',
  '$custom-control-active-indicator-bg': 'hsl(207.79999999999995, 98.2%, 57.7%)',
  '$custom-control-disabled-cursor': 'not-allowed',
  '$custom-control-disabled-indicator-bg': '#eceeef',
  '$custom-control-disabled-description-color': '#636c72',
  '$custom-control-indicator-size': '1rem',
  '$custom-control-indicator-bg': '#ddd',
  '$custom-control-indicator-bg-size': '50% 50%',
  '$custom-checkbox-checked-icon': 'url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' viewBox=\'0 0 8 8\'%3E%3Cpath fill=\'#fff\' d=\'M6.564.75l-3.59 3.612-1.538-1.55L0 4.26 2.974 7.25 8 2.193z\'/%3E%3C/svg%3E")',
  '$custom-checkbox-indeterminate-bg': '#0275d8',
  '$custom-checkbox-indeterminate-icon': 'url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' viewBox=\'0 0 4 4\'%3E%3Cpath stroke=\'#fff\' d=\'M0 2h4\'/%3E%3C/svg%3E")',
  '$custom-radio-radius': '50%',
  '$custom-radio-checked-icon': 'url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' viewBox=\'-4 -4 8 8\'%3E%3Ccircle r=\'3\' fill=\'#fff\'/%3E%3C/svg%3E")',
  '$custom-control-spacer-y': '.25rem',
  '$border-width': '1px',
  '$input-height': '2.5rem',
  '$custom-select-padding-y': '.375rem',
  '$custom-select-padding-x': '.75rem ',
  '$custom-select-indicator-padding': '1rem',
  '$custom-select-color': '#464a4c',
  '$custom-select-bg': '#fff',
  '$custom-select-indicator': 'url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' viewBox=\'0 0 4 5\'%3E%3Cpath fill=\'#333\' d=\'M2 0L0 2h4zm0 5L0 3h4z\'/%3E%3C/svg%3E")',
  '$custom-select-bg-size': '8px 10px',
  '$custom-select-border-width': '1px',
  '$custom-select-border-color': 'rgba(0, 0, 0, 0.15)',
  '$custom-select-focus-border-color': 'hsl(207.79999999999995, 98.2%, 53.4%)',
  '$input-color': '#464a4c',
  '$custom-select-disabled-color': '#636c72',
  '$cursor-disabled': 'not-allowed',
  '$custom-select-disabled-bg': '#eceeef',
  '$custom-select-sm-font-size': '75%',
  '$custom-file-width': '14rem',
  '$custom-file-height': '2.5rem',
  '$custom-file-padding-x': '.5rem',
  '$custom-file-padding-y': '1rem',
  '$custom-file-line-height': '1.5',
  '$custom-file-color': '#464a4c',
  '$custom-file-bg': '#fff',
  '$custom-file-border-width': '1px',
  '$custom-file-border-color': 'rgba(0, 0, 0, 0.15)',
  '$custom-file-button-color': '#464a4c',
  '$custom-file-button-bg': '#eceeef',
  '$custom-checkbox-radius': '.25rem',
  '$custom-file-text': {
    'placeholder': {
      'en': 'Choose file...'
    },
    'button-label': {
      'en': 'Browse'
    }
  }
};
function customForms() {
  var $enableRounded = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps$c['$enable-rounded'];
  var $enableShadows = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps$c['$enable-shadows'];
  var $customControlCheckedIndicatorBoxShadow = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : defaultProps$c['$custom-control-checked-indicator-box-shadow'];
  var $customControlActiveIndicatorBoxShadow = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : defaultProps$c['$custom-control-active-indicator-box-shadow'];
  var $customControlIndicatorBoxShadow = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : defaultProps$c['$custom-control-indicator-box-shadow'];
  var $customCheckboxIndeterminateBoxShadow = arguments.length > 5 && arguments[5] !== undefined ? arguments[5] : defaultProps$c['$custom-checkbox-indeterminate-box-shadow'];
  var $customSelectFocusBoxShadow = arguments.length > 6 && arguments[6] !== undefined ? arguments[6] : defaultProps$c['$custom-select-focus-box-shadow'];
  var $customFileFocusBoxShadow = arguments.length > 7 && arguments[7] !== undefined ? arguments[7] : defaultProps$c['$custom-file-focus-box-shadow'];
  var $customFileBoxShadow = arguments.length > 8 && arguments[8] !== undefined ? arguments[8] : defaultProps$c['$custom-file-box-shadow'];
  var $customSelectBorderRadius = arguments.length > 9 && arguments[9] !== undefined ? arguments[9] : defaultProps$c['$custom-select-border-radius'];
  var $customFileBorderRadius = arguments.length > 10 && arguments[10] !== undefined ? arguments[10] : defaultProps$c['$custom-file-border-radius'];
  var $customCheckboxRadius = arguments.length > 11 && arguments[11] !== undefined ? arguments[11] : defaultProps$c['$custom-checkbox-radius'];
  var $inputBg = arguments.length > 12 && arguments[12] !== undefined ? arguments[12] : defaultProps$c['$input-bg'];
  var $customSelectLineHeight = arguments.length > 13 && arguments[13] !== undefined ? arguments[13] : defaultProps$c['$custom-select-line-height'];
  var $lineHeightBase = arguments.length > 14 && arguments[14] !== undefined ? arguments[14] : defaultProps$c['$line-height-base'];
  var $customControlGutter = arguments.length > 15 && arguments[15] !== undefined ? arguments[15] : defaultProps$c['$custom-control-gutter'];
  var $customControlSpacerX = arguments.length > 16 && arguments[16] !== undefined ? arguments[16] : defaultProps$c['$custom-control-spacer-x'];
  var $customControlCheckedIndicatorColor = arguments.length > 17 && arguments[17] !== undefined ? arguments[17] : defaultProps$c['$custom-control-checked-indicator-color'];
  var $customControlCheckedIndicatorBg = arguments.length > 18 && arguments[18] !== undefined ? arguments[18] : defaultProps$c['$custom-control-checked-indicator-bg'];
  var $customControlFocusIndicatorBoxShadow = arguments.length > 19 && arguments[19] !== undefined ? arguments[19] : defaultProps$c['$custom-control-focus-indicator-box-shadow'];
  var $customControlActiveIndicatorColor = arguments.length > 20 && arguments[20] !== undefined ? arguments[20] : defaultProps$c['$custom-control-active-indicator-color'];
  var $customControlActiveIndicatorBg = arguments.length > 21 && arguments[21] !== undefined ? arguments[21] : defaultProps$c['$custom-control-active-indicator-bg'];
  var $customControlDisabledCursor = arguments.length > 22 && arguments[22] !== undefined ? arguments[22] : defaultProps$c['$custom-control-disabled-cursor'];
  var $customControlDisabledIndicatorBg = arguments.length > 23 && arguments[23] !== undefined ? arguments[23] : defaultProps$c['$custom-control-disabled-indicator-bg'];
  var $customControlDisabledDescriptionColor = arguments.length > 24 && arguments[24] !== undefined ? arguments[24] : defaultProps$c['$custom-control-disabled-description-color'];
  var $customControlIndicatorSize = arguments.length > 25 && arguments[25] !== undefined ? arguments[25] : defaultProps$c['$custom-control-indicator-size'];
  var $customControlIndicatorBg = arguments.length > 26 && arguments[26] !== undefined ? arguments[26] : defaultProps$c['$custom-control-indicator-bg'];
  var $customControlIndicatorBgSize = arguments.length > 27 && arguments[27] !== undefined ? arguments[27] : defaultProps$c['$custom-control-indicator-bg-size'];
  var $customCheckboxCheckedIcon = arguments.length > 28 && arguments[28] !== undefined ? arguments[28] : defaultProps$c['$custom-checkbox-checked-icon'];
  var $customCheckboxIndeterminateBg = arguments.length > 29 && arguments[29] !== undefined ? arguments[29] : defaultProps$c['$custom-checkbox-indeterminate-bg'];
  var $customCheckboxIndeterminateIcon = arguments.length > 30 && arguments[30] !== undefined ? arguments[30] : defaultProps$c['$custom-checkbox-indeterminate-icon'];
  var $customRadioRadius = arguments.length > 31 && arguments[31] !== undefined ? arguments[31] : defaultProps$c['$custom-radio-radius'];
  var $customRadioCheckedIcon = arguments.length > 32 && arguments[32] !== undefined ? arguments[32] : defaultProps$c['$custom-radio-checked-icon'];
  var $customControlSpacerY = arguments.length > 33 && arguments[33] !== undefined ? arguments[33] : defaultProps$c['$custom-control-spacer-y'];
  var $borderWidth = arguments.length > 34 && arguments[34] !== undefined ? arguments[34] : defaultProps$c['$border-width'];
  var $inputHeight = arguments.length > 35 && arguments[35] !== undefined ? arguments[35] : defaultProps$c['$input-height'];
  var $customSelectPaddingY = arguments.length > 36 && arguments[36] !== undefined ? arguments[36] : defaultProps$c['$custom-select-padding-y'];
  var $customSelectPaddingX = arguments.length > 37 && arguments[37] !== undefined ? arguments[37] : defaultProps$c['$custom-select-padding-x'];
  var $customSelectIndicatorPadding = arguments.length > 38 && arguments[38] !== undefined ? arguments[38] : defaultProps$c['$custom-select-indicator-padding'];
  var $customSelectColor = arguments.length > 39 && arguments[39] !== undefined ? arguments[39] : defaultProps$c['$custom-select-color'];
  var $customSelectBg = arguments.length > 40 && arguments[40] !== undefined ? arguments[40] : defaultProps$c['$custom-select-bg'];
  var $customSelectIndicator = arguments.length > 41 && arguments[41] !== undefined ? arguments[41] : defaultProps$c['$custom-select-indicator'];
  var $customSelectBgSize = arguments.length > 42 && arguments[42] !== undefined ? arguments[42] : defaultProps$c['$custom-select-bg-size'];
  var $customSelectBorderWidth = arguments.length > 43 && arguments[43] !== undefined ? arguments[43] : defaultProps$c['$custom-select-border-width'];
  var $customSelectBorderColor = arguments.length > 44 && arguments[44] !== undefined ? arguments[44] : defaultProps$c['$custom-select-border-color'];
  var $customSelectFocusBorderColor = arguments.length > 45 && arguments[45] !== undefined ? arguments[45] : defaultProps$c['$custom-select-focus-border-color'];
  var $inputColor = arguments.length > 46 && arguments[46] !== undefined ? arguments[46] : defaultProps$c['$input-color'];
  var $customSelectDisabledColor = arguments.length > 47 && arguments[47] !== undefined ? arguments[47] : defaultProps$c['$custom-select-disabled-color'];
  var $cursorDisabled = arguments.length > 48 && arguments[48] !== undefined ? arguments[48] : defaultProps$c['$cursor-disabled'];
  var $customSelectDisabledBg = arguments.length > 49 && arguments[49] !== undefined ? arguments[49] : defaultProps$c['$custom-select-disabled-bg'];
  var $customSelectSmFontSize = arguments.length > 50 && arguments[50] !== undefined ? arguments[50] : defaultProps$c['$custom-select-sm-font-size'];
  var $customFileWidth = arguments.length > 51 && arguments[51] !== undefined ? arguments[51] : defaultProps$c['$custom-file-width'];
  var $customFileHeight = arguments.length > 52 && arguments[52] !== undefined ? arguments[52] : defaultProps$c['$custom-file-height'];
  var $customFilePaddingX = arguments.length > 53 && arguments[53] !== undefined ? arguments[53] : defaultProps$c['$custom-file-padding-x'];
  var $customFilePaddingY = arguments.length > 54 && arguments[54] !== undefined ? arguments[54] : defaultProps$c['$custom-file-padding-y'];
  var $customFileLineHeight = arguments.length > 55 && arguments[55] !== undefined ? arguments[55] : defaultProps$c['$custom-file-line-height'];
  var $customFileColor = arguments.length > 56 && arguments[56] !== undefined ? arguments[56] : defaultProps$c['$custom-file-color'];
  var $customFileBg = arguments.length > 57 && arguments[57] !== undefined ? arguments[57] : defaultProps$c['$custom-file-bg'];
  var $customFileBorderWidth = arguments.length > 58 && arguments[58] !== undefined ? arguments[58] : defaultProps$c['$custom-file-border-width'];
  var $customFileBorderColor = arguments.length > 59 && arguments[59] !== undefined ? arguments[59] : defaultProps$c['$custom-file-border-color'];
  var $customFileButtonColor = arguments.length > 60 && arguments[60] !== undefined ? arguments[60] : defaultProps$c['$custom-file-button-color'];
  var $customFileButtonBg = arguments.length > 61 && arguments[61] !== undefined ? arguments[61] : defaultProps$c['$custom-file-button-bg'];
  var $customFileText = arguments.length > 62 && arguments[62] !== undefined ? arguments[62] : defaultProps$c['$custom-file-text'];
  var customFileControlBeforeList = [];
  Object.keys($customFileText.placeholder).forEach(function ($lang) {
    customFileControlBeforeList.push("\n      &:lang(".concat($lang, ")::after {\n        content: \"").concat($customFileText.placeholder[$lang], "\";\n      }   \n    "));
  });
  var customFileControlAfterList = [];
  Object.keys($customFileText['button-label']).forEach(function ($lang) {
    customFileControlAfterList.push("\n      &:lang(".concat($lang, ")::before {\n        content: \"").concat($customFileText['button-label'][$lang], "\";\n      }\n    "));
  });
  var selectBorderWidth = unitUtils$1.math.multiply($borderWidth, 2);
  var customSelectPaddingRight = unitUtils$1.math.addition($customSelectPaddingY, $customSelectIndicatorPadding);
  var lineHeightBaseMinusCustomControlIndicatorSize = unitUtils$1.math.subtract($lineHeightBase, $customControlIndicatorSize);
  return "\n    /* Embedded icons from Open Iconic. */\n    /* Released under MIT and copyright 2014 Waybury. */\n    /* https://useiconic.com/open */\n    \n    \n    /* Checkboxes and radios */\n    /* Base class takes care of all the key behavioral aspects. */\n    \n    & .custom-control {\n      position: relative;\n      display: inline-flex;\n      min-height: calc(1rem * ".concat($lineHeightBase, ");\n      padding-left: ").concat($customControlGutter, ";\n      margin-right: ").concat($customControlSpacerX, ";\n    }\n    \n    & .custom-control-input {\n      position: absolute;\n      z-index: -1; /* Put the input behind the label so it does not overlay text */\n      opacity: 0;\n    \n      &:checked ~ .custom-control-indicator {\n        color: ").concat($customControlCheckedIndicatorColor, ";\n        background-color: ").concat($customControlCheckedIndicatorBg, ";\n        ").concat(boxShadow($enableShadows, $customControlCheckedIndicatorBoxShadow), "\n      }\n    \n      &:focus ~ .custom-control-indicator {\n        /* the mixin is not used here to make sure there is feedback */\n        box-shadow: ").concat($customControlFocusIndicatorBoxShadow, ";\n      }\n    \n      &:active ~ .custom-control-indicator {\n        color: ").concat($customControlActiveIndicatorColor, ";\n        background-color: ").concat($customControlActiveIndicatorBg, ";\n        ").concat(boxShadow($enableShadows, $customControlActiveIndicatorBoxShadow), "\n      }\n    \n      &:disabled {\n        ~ .custom-control-indicator {\n          cursor: ").concat($customControlDisabledCursor, ";\n          background-color: ").concat($customControlDisabledIndicatorBg, ";\n        }\n    \n        ~ .custom-control-description {\n          color: ").concat($customControlDisabledDescriptionColor, ";\n          cursor: ").concat($customControlDisabledCursor, ";\n        }\n      }\n    }\n    \n    /* Custom indicator */\n    /* Generates a shadow element to create our makeshift checkbox/radio background. */\n    \n    & .custom-control-indicator {\n      position: absolute;\n      top: calc(").concat(lineHeightBaseMinusCustomControlIndicatorSize, " / 2);\n      left: 0;\n      display: block;\n      width: ").concat($customControlIndicatorSize, ";\n      height: ").concat($customControlIndicatorSize, ";\n      pointer-events: none;\n      user-select: none;\n      background-color: ").concat($customControlIndicatorBg, ";\n      background-repeat: no-repeat;\n      background-position: center center;\n      background-size: ").concat($customControlIndicatorBgSize, ";\n      ").concat(boxShadow($enableShadows, $customControlIndicatorBoxShadow), "\n    }\n    \n    /* Checkboxes */\n    /* Tweak just a few things for checkboxes.  */\n    \n    & .custom-checkbox {\n      & .custom-control-indicator {\n        ").concat(borderRadius($enableRounded, $customCheckboxRadius), "\n      }\n    \n      & .custom-control-input:checked ~ .custom-control-indicator {\n        background-image: ").concat($customCheckboxCheckedIcon, ";\n      }\n    \n      & .custom-control-input.indeterminate ~ .custom-control-indicator {\n        background-color: ").concat($customCheckboxIndeterminateBg, ";\n        background-image: ").concat($customCheckboxIndeterminateIcon, ";\n        ").concat(boxShadow($enableShadows, $customCheckboxIndeterminateBoxShadow), "\n      }\n    }\n    \n    /* Radios */\n    /* Tweak just a few things for radios. */\n    \n    & .custom-radio {\n      & .custom-control-indicator {\n        border-radius: ").concat($customRadioRadius, ";\n      }\n    \n      & .custom-control-input:checked ~ .custom-control-indicator {\n        background-image: ").concat($customRadioCheckedIcon, ";\n      }\n    }\n    \n    \n    /* Layout options */\n    /* By default radios and checkboxes are inline-block with no additional spacing */\n    /* set. Use these optional classes to tweak the layout. */\n    \n    & .custom-controls-stacked {\n      display: flex;\n      flex-direction: column;\n    \n      & .custom-control {\n        margin-bottom: ").concat($customControlSpacerY, ";\n    \n        + & .custom-control {\n          margin-left: 0;\n        }\n      }\n    }\n    \n    \n    /* Select */\n    /* Replaces the browser default select with a custom one, mostly pulled from */\n    /* http://primercss.io. */\n    \n    & .custom-select {\n      display: inline-block;\n      max-width: 100%;\n      height: calc(").concat($inputHeight, " + ").concat(selectBorderWidth, ");\n      padding: ").concat($customSelectPaddingY, " ").concat(customSelectPaddingRight, " ").concat($customSelectPaddingY, " ").concat($customSelectPaddingX, ";\n      line-height: ").concat($customSelectLineHeight, ";\n      color: ").concat($customSelectColor, ";\n      vertical-align: middle;\n      background: ").concat($customSelectBg, " ").concat($customSelectIndicator, " no-repeat right ").concat($customSelectPaddingX, " center;\n      background-size: ").concat($customSelectBgSize, ";\n      border: ").concat($customSelectBorderWidth, " solid ").concat($customSelectBorderColor, ";\n      ").concat(borderRadius($enableRounded, $customSelectBorderRadius), "\n      /* Use vendor prefixes as appearance is not part of the CSS spec.  */\n      -moz-appearance: none;\n      -webkit-appearance: none;\n    \n      &:focus {\n        border-color: ").concat($customSelectFocusBorderColor, ";\n        outline: none;\n        ").concat(boxShadow($enableShadows, $customSelectFocusBoxShadow), "\n    \n        ::-ms-value {\n          /* For visual consistency with other platforms/browsers, */\n          /* supress the default white text on blue background highlight given to */\n          /* the selected option text when the (still closed) <select> receives focus */\n          /* in IE and (under certain conditions) Edge. */\n          /* See https://github.com/twbs/bootstrap/issues/19398. */\n          color: ").concat($inputColor, ";\n          background-color: ").concat($inputBg, ";\n        }\n      }\n    \n      &:disabled {\n        color: ").concat($customSelectDisabledColor, ";\n        cursor: ").concat($cursorDisabled, ";\n        background-color: ").concat($customSelectDisabledBg, ";\n      }\n    \n      /* Hides the default caret in IE11 */\n      ::-ms-expand {\n        opacity: 0;\n      }\n    }\n    \n    & .custom-select-sm {\n      padding-top: ").concat($customSelectPaddingY, ";\n      padding-bottom: ").concat($customSelectPaddingY, ";\n      font-size: ").concat($customSelectSmFontSize, ";\n    \n      /* &:not([multiple]) { */\n      /*   height: 26px; */\n      /*   min-height: 26px; */\n      /* } */\n    }\n    \n    \n    /* File */\n    /* Custom file input. */\n    \n    & .custom-file {\n      position: relative;\n      display: inline-block;\n      max-width: 100%;\n      height: ").concat($customFileHeight, ";\n      margin-bottom: 0;\n    }\n    \n    & .custom-file-input {\n      min-width: ").concat($customFileWidth, ";\n      max-width: 100%;\n      height: ").concat($customFileHeight, ";\n      margin: 0;\n      opacity: 0;\n    \n      &:focus ~ .custom-file-control {\n        ").concat(boxShadow($enableShadows, $customFileFocusBoxShadow), "\n      }\n    }\n    \n    & .custom-file-control {\n      position: absolute;\n      top: 0;\n      right: 0;\n      left: 0;\n      z-index: 5;\n      height: ").concat($customFileHeight, ";\n      padding: ").concat($customFilePaddingX, " ").concat($customFilePaddingY, ";\n      line-height: ").concat($customFileLineHeight, ";\n      color: ").concat($customFileColor, ";\n      pointer-events: none;\n      user-select: none;\n      background-color: ").concat($customFileBg, ";\n      border: ").concat($customFileBorderWidth, " solid ").concat($customFileBorderColor, ";\n      ").concat(borderRadius($enableRounded, $customFileBorderRadius), "\n      ").concat(boxShadow($enableShadows, $customFileBoxShadow), "\n      \n      ").concat(customFileControlBeforeList.join('\n'), "\n    \n      &::before {\n        position: absolute;\n        top: ").concat($customFileBorderWidth, ";\n        right: ").concat($customFileBorderWidth, ";\n        bottom: ").concat($customFileBorderWidth, ";\n        z-index: 6;\n        display: block;\n        height: ").concat($customFileHeight, ";\n        padding: ").concat($customFilePaddingX, " ").concat($customFilePaddingY, ";\n        line-height: ").concat($customFileLineHeight, ";\n        color: ").concat($customFileButtonColor, ";\n        background-color: ").concat($customFileButtonBg, ";\n        border: ").concat($customFileBorderWidth, " solid ").concat($customFileBorderColor, ";\n        ").concat(borderRadius(0, $enableRounded, $customFileBorderRadius, $customFileBorderRadius, 0), "\n      }\n\n      ").concat(customFileControlAfterList.join('\n'), "\n    }\n  ");
}
var customForms$1 = {
  customForms: customForms
};

function gradientX() {
  var startColor = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '#555';
  var endColor = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '#333';
  var startPercent = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : '0%';
  var endPercent = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : '100%';
  return "\n    background-image: linear-gradient(to right, ".concat(startColor, " ").concat(startPercent, ", ").concat(endColor, " ").concat(endPercent, ");\n    background-repeat: repeat-x;\n    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#{ie-hex-str(").concat(startColor, ")}', endColorstr='#{ie-hex-str(").concat(endColor, ")}', GradientType=1); // IE9\n  ");
}
function gradientY() {
  var startColor = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '#555';
  var endColor = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '#333';
  var startPercent = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : '0%';
  var endPercent = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : '100%';
  return "\n    background-image: linear-gradient(to bottom, ".concat(startColor, " ").concat(startPercent, ", ").concat(endColor, " ").concat(endPercent, ");\n    background-repeat: repeat-x;\n    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#{ie-hex-str(").concat(startColor, ")}', endColorstr='#{ie-hex-str(").concat(endColor, ")}', GradientType=0); // IE9\n  ");
}
function gradientDirectional() {
  var startColor = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '#555';
  var endColor = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '#333';
  var deg = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : '45deg';
  return "\n    background-repeat: repeat-x;\n    background-image: linear-gradient(".concat(deg, ", ").concat(startColor, ", ").concat(endColor, ");\n  ");
}
function gradientXThreeColors() {
  var startColor = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '#00b3ee';
  var midColor = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '#7a43b6';
  var colorStop = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : '50%';
  var endColor = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : '#c3325f';
  return "\n    background-image: linear-gradient(to right, ".concat(startColor, ", ").concat(midColor, " ").concat(colorStop, ", ").concat(endColor, ");\n    background-repeat: no-repeat;\n    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#{ie-hex-str(").concat(startColor, ")}', endColorstr='#{ie-hex-str(").concat(endColor, ")}', GradientType=1); // IE9 gets no color-stop at all for proper fallback\n  ");
}
function gradientYThreeColors() {
  var startColor = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '#00b3ee';
  var midColor = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '#7a43b6';
  var colorStop = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : '50%';
  var endColor = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : '#c3325f';
  return "\n    background-image: linear-gradient(".concat(startColor, ", ").concat(midColor, " ").concat(colorStop, ", ").concat(endColor, ");\n    background-repeat: no-repeat;\n    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#{ie-hex-str(").concat(startColor, ")}', endColorstr='#{ie-hex-str(").concat(endColor, ")}', GradientType=0); // IE9 gets no color-stop at all for proper fallback\n  ");
}
function gradientRadial() {
  var innerColor = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '#555';
  var outerColor = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '#333';
  return "\n    background-image: radial-gradient(circle, ".concat(innerColor, ", ").concat(outerColor, ");\n    background-repeat: no-repeat;\n  ");
}
function gradientStriped() {
  var color = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 'rgba(255,255,255,.15)';
  var angle = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '45deg';
  return "\n    background-image: linear-gradient(".concat(angle, ", ").concat(color, " 25%, transparent 25%, transparent 50%, ").concat(color, " 50%, ").concat(color, " 75%, transparent 75%, transparent);\n  ");
}
var gradients = {
  x: gradientX,
  y: gradientY,
  directional: gradientDirectional,
  xThreeColors: gradientXThreeColors,
  yThreeColors: gradientYThreeColors,
  radial: gradientRadial,
  striped: gradientStriped
};

var toPercent = unitUtils$1.toPercent;
var defaultProps$d = {
  '$grid-gutter-width': '30px',
  '$container-max-widths': {
    sm: '540px',
    md: '720px',
    lg: '960px',
    xl: '1140px'
  },
  '$grid-breakpoints': {
    xs: '0',
    sm: '576px',
    md: '768px',
    lg: '992px',
    xl: '1200px'
  },
  '$grid-columns': 12,
  '$enable-grid-classes': true
};
function makeContainer() {
  var enableGridClasses = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps$d['$enable-grid-classes'];
  var gridGutterWidth = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps$d['$grid-gutter-width'];
  return enableGridClasses ? "\n    width: 100%;\n    padding-right: calc(".concat(gridGutterWidth, " / 2);\n    padding-left: calc(").concat(gridGutterWidth, " / 2);\n    margin-right: auto;\n    margin-left: auto;\n  ") : '';
}
function makeContainerMaxWidths() {
  var enableGridClasses = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps$d['$enable-grid-classes'];
  var maxWidths = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps$d['$container-max-widths'];
  var breakpoints = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : defaultProps$d['$grid-breakpoints'];
  return enableGridClasses ? Object.keys(breakpoints).map(function (bp) {
    return maxWidths[bp] ? mediaBreakpointUp(bp, breakpoints, "max-width: ".concat(maxWidths[bp], ";")) : '';
  }).join('\n') : '';
}
function makeRow() {
  var enableGridClasses = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps$d['$enable-grid-classes'];
  var gridGutterWidth = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps$d['$grid-gutter-width'];
  return enableGridClasses ? "\n    display: flex;\n    flex-wrap: wrap;\n    margin-right: calc(".concat(gridGutterWidth, " / -2);\n    margin-left: calc(").concat(gridGutterWidth, " / -2);\n  ") : '';
}
function makeCol() {
  var size = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 0;
  var columns = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps$d['$grid-columns'];
  return "\n    flex: 0 0 ".concat(toPercent(size, columns), ";\n    max-width: ").concat(toPercent(size, columns), ";\n  ");
}
function makeColOffset() {
  var size = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 0;
  var columns = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps$d['$grid-columns'];
  return "margin-left: ".concat(toPercent(size, columns), ";");
}
var grid = {
  makeRow: makeRow,
  makeContainer: makeContainer,
  makeContainerMaxWidths: makeContainerMaxWidths
};

function makeGridColumns() {
  var enableGridClasses = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps$d['$enable-grid-classes'];
  var columns = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps$d['$grid-columns'];
  var gutter = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : defaultProps$d['$grid-gutter-width'];
  var breakpoints = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : defaultProps$d['$grid-breakpoints'];
  var gridColumn = "\n    position: relative;\n    width: 100%;\n    min-height: 1px; // Prevent columns from collapsing when empty\n    padding-right: calc(".concat(gutter, " / 2);\n    padding-left: calc(").concat(gutter, " / 2);\n  ");
  return enableGridClasses ? Object.keys(breakpoints).map(function (bp) {
    var infix = breakpointInfix(bp, breakpoints);
    return "".concat(Array.from({
      length: columns
    }, function (_, ind) {
      var i = ind + 1;
      return "&.col".concat(infix, "-").concat(i, ", & .col").concat(infix, "-").concat(i, " { ").concat(gridColumn, " }");
    }).join('\n'), "\n      \n      &.col").concat(infix, ",\n      & .col").concat(infix, "-auto {\n        ").concat(gridColumn, "\n      }\n      \n").concat(
    mediaBreakpointUp(bp, breakpoints, "\n        &.col".concat(infix, ",\n        & .col").concat(infix, " {\n          flex-basis: 0;\n          flex-grow: 1;\n          max-width: 100%;\n        }\n        &.col").concat(infix, "-auto,\n        & .col").concat(infix, "-auto {\n          flex: 0 0 auto;\n          width: auto;\n          max-width: none; // reset earlier grid tiers\n        }\n        \n        ").concat(Array.from({
      length: columns
    }, function (_, i) {
      return "\n          &.col".concat(infix, "-").concat(i + 1, ",\n          & .col").concat(infix, "-").concat(i + 1, " {\n            ").concat(makeCol(i + 1, columns), "\n          }\n        ");
    }), "\n        \n        &.order").concat(infix, "-first,\n        & .order").concat(infix, "-first { order: -1; }\n        \n        &.order").concat(infix, "-last,\n        & .order").concat(infix, "-last { order: ").concat(columns + 1, "; }\n        \n        ").concat(Array.from({
      length: columns
    }, function (_, i) {
      return "\n          &.order".concat(infix, "-").concat(i, ",\n          & .order").concat(infix, "-").concat(i, " { \n            order: ").concat(i, "; \n          }\n        ");
    }).join('\n'), "\n        \n        ").concat(
    Array.from({
      length: columns - 1
    }, function (_, i) {
      return "\n          &.offset".concat(infix, "-").concat(i, ",\n          & .offset").concat(infix, "-").concat(i, " {\n            ").concat(makeColOffset(i, columns), "\n          }\n        ");
    }).join('\n'), "\n      ")), "\n");
  }).join('\n') : '';
}
var gridFramework = {
  makeGridColumns: makeGridColumns
};

var defaultProps$e = {
  '$enable-hover-media-query': false
};
function listGroupItemVariant() {
  var enableHoverMediaQuery = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps$e['$enable-hover-media-query'];
  var state = arguments.length > 1 ? arguments[1] : undefined;
  var background = arguments.length > 2 ? arguments[2] : undefined;
  var listColor = arguments.length > 3 ? arguments[3] : undefined;
  return "\n    & .list-group-item-".concat(state, " {\n      color: ").concat(listColor, ";\n      background-color: ").concat(background, ";\n    }\n  \n    & a.list-group-item-").concat(state, ",\n    button.list-group-item-").concat(state, " {\n      color: ").concat(listColor, ";\n  \n      .list-group-item-heading {\n        color: inherit;\n      }\n  \n      ").concat(hoverFocus(enableHoverMediaQuery, "\n        color: ".concat(listColor, ";\n        background-color: ").concat(ColorWrapper(background).darken(0.05).toString(), ";\n      ")), "\n  \n      &.active {\n        ").concat(plainHoverFocus(enableHoverMediaQuery, "\n          color: #fff;\n          background-color: ".concat(listColor, ";\n          border-color: ").concat(listColor, ";\n        ")), "\n      }\n    }\n  ");
}
var listGroup = {
  defaultProps: defaultProps$e,
  listGroupItemVariant: listGroupItemVariant
};

var defaultProps$f = {
  '$list-inline-padding': '5px'
};
function listUnstyled() {
  return "\n    padding-left: 0;\n    list-style: none;\n  ";
}
function listInline() {
  return listUnstyled();
}
var lists = {
  defaultProps: defaultProps$f,
  listInline: listInline,
  listUnstyled: listUnstyled
};

var defaultProps$g = {
  '$enable-rounded': true,
  '$enable-hover-media-query': false,
  '$nav-link-padding': '.5em 1em',
  '$nav-disabled-link-color': '#636c72',
  '$cursor-disabled': 'not-allowed',
  '$nav-tabs-border-width': '1px',
  '$nav-tabs-border-color': '#ddd',
  '$nav-tabs-border-radius': '.25rem',
  '$nav-tabs-link-hover-border-color': '#eceeef',
  '$nav-tabs-active-link-hover-color': '#464a4c',
  '$nav-tabs-active-link-hover-bg': '#fff',
  '$nav-tabs-active-link-hover-border-color': '#ddd',
  '$nav-pills-border-radius': '.25rem',
  '$nav-pills-active-link-color': '#fff',
  '$nav-pills-active-link-bg': '#0275d8'
};
function nav() {
  var $enableRounded = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps$g['$enable-rounded'];
  var $enableHoverMediaQuery = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps$g['$enable-hover-media-query'];
  var $navLinkPadding = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : defaultProps$g['$nav-link-padding'];
  var $navDisabledLinkColor = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : defaultProps$g['$nav-disabled-link-color'];
  var $cursorDisabled = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : defaultProps$g['$cursor-disabled'];
  var $navTabBorderWidth = arguments.length > 5 && arguments[5] !== undefined ? arguments[5] : defaultProps$g['$nav-tabs-border-width'];
  var $navTabsBorderColor = arguments.length > 6 && arguments[6] !== undefined ? arguments[6] : defaultProps$g['$nav-tabs-border-color'];
  var $navTabsBorderRadius = arguments.length > 7 && arguments[7] !== undefined ? arguments[7] : defaultProps$g['$nav-tabs-border-radius'];
  var $navTabsLinkHoverBorderColor = arguments.length > 8 && arguments[8] !== undefined ? arguments[8] : defaultProps$g['$nav-tabs-link-hover-border-color'];
  var $navTabsActiveLinkHoverColor = arguments.length > 9 && arguments[9] !== undefined ? arguments[9] : defaultProps$g['$nav-tabs-active-link-hover-color'];
  var $navTabsActiveLinkHoverBg = arguments.length > 10 && arguments[10] !== undefined ? arguments[10] : defaultProps$g['$nav-tabs-active-link-hover-bg'];
  var $navTabsActiveLinkHoverBorderColor = arguments.length > 11 && arguments[11] !== undefined ? arguments[11] : defaultProps$g['$nav-tabs-active-link-hover-border-color'];
  var $navPillsBorderRadius = arguments.length > 12 && arguments[12] !== undefined ? arguments[12] : defaultProps$g['$nav-pills-border-radius'];
  var $navPillsActiveLinkColor = arguments.length > 13 && arguments[13] !== undefined ? arguments[13] : defaultProps$g['$nav-pills-active-link-color'];
  var $navPillsActiveLinkBg = arguments.length > 14 && arguments[14] !== undefined ? arguments[14] : defaultProps$g['$nav-pills-active-link-bg'];
  return "\n    &.nav {\n      display: flex;\n      padding-left: 0;\n      margin-bottom: 0;\n      list-style: none;\n    }\n    \n    & .nav-link {\n      display: block;\n      padding: ".concat($navLinkPadding, ";\n      ").concat(hoverFocus($enableHoverMediaQuery, 'text-decoration: none;'), "\n      /* Disabled state lightens text and removes hover tab effects */\n      &.disabled {\n        color: ").concat($navDisabledLinkColor, ";\n        cursor: ").concat($cursorDisabled, "; \n      }\n    }\n        \n    /*\n     Tabs\n    */\n    \n    &.nav-tabs {\n      border-bottom: ").concat($navTabBorderWidth, " solid ").concat($navTabsBorderColor, ";\n      & .nav-item {\n        margin-bottom: -").concat($navTabBorderWidth, ";\n      }\n   \n      & .nav-link {\n        border: ").concat($navTabBorderWidth, " solid transparent;\n        ").concat(borderTopRadius($enableRounded, $navTabsBorderRadius), "\n        ").concat(hoverFocus($enableHoverMediaQuery, "\n          border-color: ".concat($navTabsLinkHoverBorderColor, " ").concat($navTabsLinkHoverBorderColor, " ").concat($navTabsBorderColor, ";\n        ")), "\n      \n        &.disabled {\n          color: ").concat($navDisabledLinkColor, ";\n          background-color: transparent;\n          border-color: transparent;\n        }\n      }\n      \n      & .nav-link.active,\n      .nav-item.open .nav-link {\n        color: ").concat($navTabsActiveLinkHoverColor, ";\n        background-color: ").concat($navTabsActiveLinkHoverBg, ";\n        border-color: ").concat($navTabsActiveLinkHoverBorderColor, " ").concat($navTabsActiveLinkHoverBorderColor, " transparent;\n      }\n      \n      & .dropdown-menu {\n        /* Make dropdown border overlap tab border */\n        margin-top: -").concat($navTabBorderWidth, ";\n        /* Remove the top rounded corners here since there is a hard edge above the menu */\n        ").concat(borderTopRadius($enableRounded, '0'), "\n      }\n    }\n    \n    /*\n     Pills\n    */\n    \n    &.nav-pills {\n      .nav-link {\n        ").concat(borderRadius($enableRounded, $navPillsBorderRadius), "\n      }\n\n      .nav-link.active,\n      .nav-item.show .nav-link {\n        color: ").concat($navPillsActiveLinkColor, ";\n        background-color: ").concat($navPillsActiveLinkBg, ";\n      }\n    }\n\n    /*\n      Justified variants\n    */\n    \n    &.nav-fill {\n      .nav-item {\n        flex: 1 1 auto;\n        text-align: center;\n      }\n    }\n    \n    &.nav-justified {\n      .nav-item {\n        flex: 1 1 100%;\n        text-align: center;\n      }\n    }\n    \n    /* Hide tabbable panes to start, show them when .active */\n    &.tab-content {\n      > .tab-pane {\n        display: none;\n      }\n      > .active {\n        display: block;\n      }\n    }\n  ");
}
var nav$1 = {
  nav: nav
};

var defaultProps$h = {
  '$grid-breakpoints': {
    xs: '0',
    sm: '576px',
    md: '768px',
    lg: '992px',
    xl: '1200px'
  }
};
function navbarToggleable() {
  var gridBreakpoints = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps$h['$grid-breakpoints'];
  var navbarBreakpointList = [];
  Object.keys(gridBreakpoints).forEach(function (breakpoint) {
    var next = breakpointNext(breakpoint, gridBreakpoints);
    var infix = breakpointInfix(breakpoint, gridBreakpoints);
    var navbarBreakpoint = "\n      &.navbar-toggleable".concat(infix, " {\n        ").concat(mediaBreakpointDown(breakpoint, gridBreakpoints, "\n          .navbar-nav {\n            .dropdown-menu {\n              position: static;\n              float: none;\n            }\n          }\n\n          > .container {\n            padding-right: 0;\n            padding-left: 0;\n          }\n        "), "\n        ").concat(mediaBreakpointUp(next, gridBreakpoints, "\n          flex-direction: row;\n          flex-wrap: nowrap;\n          align-items: center;\n  \n          .navbar-nav {\n            flex-direction: row;\n  \n            .nav-link {\n              padding-right: .5rem;\n              padding-left: .5rem;\n            }\n          }\n  \n          /* For nesting containers, have to redeclare for alignment purposes */\n          > .container {\n            display: flex;\n            flex-wrap: nowrap;\n            align-items: center;\n          }\n  \n          .navbar-collapse {\n            display: flex !important;\n            width: 100%;\n\n           }\n           \n          .navbar-toggler {\n            display: none;\n          }\n        "), "\n      }\n    ");
    navbarBreakpointList.push(navbarBreakpoint);
  });
  return "\n    ".concat(navbarBreakpointList.join('\n'), "\n  ");
}
var navbarToggleable$1 = {
  defaultProps: defaultProps$h,
  navbarToggleable: navbarToggleable
};

var defaultProps$i = {
  '$grid-breakpoints': {
    xs: '0',
    sm: '576px',
    md: '768px',
    lg: '992px',
    xl: '1200px'
  },
  '$enable-rounded': true,
  '$enable-hover-media-query': false,
  '$navbar-padding-y': '0.5rem',
  '$navbar-padding-x': '1rem',
  '$zindex-navbar': '1000',
  '$zindex-navbar-fixed': '1030',
  '$zindex-navbar-sticky': '1030',
  '$navbar-brand-padding-y': '.25rem',
  '$font-size-lg': '1.25rem',
  '$navbar-divider-padding-y': '.425rem',
  '$navbar-toggler-padding-y': '.5rem',
  '$navbar-toggler-padding-x': '.75rem',
  '$navbar-toggler-font-size': '1.25rem',
  '$border-width': '1px',
  '$navbar-toggler-border-radius': '.25rem',
  '$navbar-light-active-color': 'rgba(0,0,0,.9)',
  '$navbar-light-color': 'rgba(0,0,0,.5)',
  '$navbar-light-hover-color': 'rgba(0,0,0,.7)',
  '$navbar-light-toggler-border': 'rgba(0,0,0,.1)',
  '$navbar-light-toggler-bg': 'url(\'data:image/svg+xml;charset=utf8,%3Csvg viewBox="0 0 30 30" xmlns="http://www.w3.org/2000/svg"%3E%3Cpath stroke="rgba(0,0,0,.5)" stroke-width="2" stroke-linecap="round" stroke-miterlimit="10" d="M4 7h22M4 15h22M4 23h22"/%3E%3C/svg%3E\')',
  '$navbar-light-disabled-color': 'rgba(0, 0, 0, 0.3)',
  '$navbar-inverse-active-color': 'rgba(255,255,255,1)',
  '$navbar-inverse-color': 'rgba(255,255,255,.5)',
  '$navbar-inverse-hover-color': 'rgba(255,255,255,.75)',
  '$navbar-inverse-toggler-border': 'rgba(255,255,255,.1)',
  '$navbar-inverse-toggler-bg': 'url(\'data:image/svg+xml;charset=utf8,%3Csvg viewBox="0 0 30 30" xmlns="http://www.w3.org/2000/svg"%3E%3Cpath stroke="rgba(255,255,255,.5)" stroke-width="2" stroke-linecap="round" stroke-miterlimit="10" d="M4 7h22M4 15h22M4 23h22"/%3E%3C/svg%3E\')',
  '$navbar-inverse-disabled-color': 'rgba(255, 255, 255, 0.25)'
};
function navbar() {
  var $gridBreakpoints = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps$i['$grid-breakpoints'];
  var $enableRounded = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps$i['$enable-rounded'];
  var $enableHoverMediaQuery = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : defaultProps$i['$enable-hover-media-query'];
  var $navbarPaddingY = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : defaultProps$i['$navbar-padding-y'];
  var $navbarPaddingX = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : defaultProps$i['$navbar-padding-x'];
  var $zindexNavbar = arguments.length > 5 && arguments[5] !== undefined ? arguments[5] : defaultProps$i['$zindex-navbar'];
  var $zindexNavbarFixed = arguments.length > 6 && arguments[6] !== undefined ? arguments[6] : defaultProps$i['$zindex-navbar-fixed'];
  var $zindexNavbarSticky = arguments.length > 7 && arguments[7] !== undefined ? arguments[7] : defaultProps$i['$zindex-navbar-sticky'];
  var $navbarBrandPaddingY = arguments.length > 8 && arguments[8] !== undefined ? arguments[8] : defaultProps$i['$navbar-brand-padding-y'];
  var $fontSizeLg = arguments.length > 9 && arguments[9] !== undefined ? arguments[9] : defaultProps$i['$font-size-lg'];
  var $navbarDividerPaddingY = arguments.length > 10 && arguments[10] !== undefined ? arguments[10] : defaultProps$i['$navbar-divider-padding-y'];
  var $navbarTogglerPaddingY = arguments.length > 11 && arguments[11] !== undefined ? arguments[11] : defaultProps$i['$navbar-toggler-padding-y'];
  var $navbarTogglerPaddingX = arguments.length > 12 && arguments[12] !== undefined ? arguments[12] : defaultProps$i['$navbar-toggler-padding-x'];
  var $navbarTogglerFontSize = arguments.length > 13 && arguments[13] !== undefined ? arguments[13] : defaultProps$i['$navbar-toggler-font-size'];
  var $borderWidth = arguments.length > 14 && arguments[14] !== undefined ? arguments[14] : defaultProps$i['$border-width'];
  var $navbarTogglerBorderRadius = arguments.length > 15 && arguments[15] !== undefined ? arguments[15] : defaultProps$i['$navbar-toggler-border-radius'];
  var $navbarLightActiveColor = arguments.length > 16 && arguments[16] !== undefined ? arguments[16] : defaultProps$i['$navbar-light-active-color'];
  var $navbarLightColor = arguments.length > 17 && arguments[17] !== undefined ? arguments[17] : defaultProps$i['$navbar-light-color'];
  var $navbarLightHoverColor = arguments.length > 18 && arguments[18] !== undefined ? arguments[18] : defaultProps$i['$navbar-light-hover-color'];
  var $navbarLightTogglerBorder = arguments.length > 19 && arguments[19] !== undefined ? arguments[19] : defaultProps$i['$navbar-light-toggler-border'];
  var $navbarLightDisabledColor = arguments.length > 20 && arguments[20] !== undefined ? arguments[20] : defaultProps$i['$navbar-light-disabled-color'];
  var $navbarLightTogglerBg = arguments.length > 21 && arguments[21] !== undefined ? arguments[21] : defaultProps$i['$navbar-light-toggler-bg'];
  var $navbarInverseActiveColor = arguments.length > 22 && arguments[22] !== undefined ? arguments[22] : defaultProps$i['$navbar-inverse-active-color'];
  var $navbarInverseColor = arguments.length > 23 && arguments[23] !== undefined ? arguments[23] : defaultProps$i['$navbar-inverse-color'];
  var $navbarInverseHoverColor = arguments.length > 24 && arguments[24] !== undefined ? arguments[24] : defaultProps$i['$navbar-inverse-hover-color'];
  var $navbarInverseTogglerBorder = arguments.length > 25 && arguments[25] !== undefined ? arguments[25] : defaultProps$i['$navbar-inverse-toggler-border'];
  var $navbarInverseTogglerBg = arguments.length > 26 && arguments[26] !== undefined ? arguments[26] : defaultProps$i['$navbar-inverse-toggler-bg'];
  var $navbarInverseDisabledColor = arguments.length > 27 && arguments[27] !== undefined ? arguments[27] : defaultProps$i['$navbar-inverse-disabled-color'];
  return "\n    /* Wrapper and base class\n\n     Provide a static navbar from which we expand to create full-width, fixed, and\n     other navbar variations.\n    */\n\n    &.navbar {\n      position: relative;\n      display: flex;\n      flex-direction: column;\n      padding: ".concat($navbarPaddingY, " ").concat($navbarPaddingX, ";\n    }\n    \n    /*\n     Brand/project name\n    */\n\n    & .navbar-brand {\n      display: inline-block;\n      padding-top: ").concat($navbarBrandPaddingY, ";\n      padding-bottom: ").concat($navbarBrandPaddingY, ";\n      margin-right: ").concat($navbarPaddingX, ";\n      font-size: ").concat($fontSizeLg, ";\n      line-height: inherit;\n      white-space: nowrap;\n      ").concat(hoverFocus($enableHoverMediaQuery, 'text-decoration: none;'), "\n    }\n    \n    /* Navigation\n\n     Custom navbar navigation built on the base .nav styles.\n    */\n\n    &.navbar-nav,\n    & .navbar-nav {\n      display: flex;\n      flex-direction: column; /* cannot use inherit to get the .navbars value */\n      padding-left: 0;\n      margin-bottom: 0;\n      list-style: none;\n    \n      .nav-link {\n        padding-right: 0;\n        padding-left: 0;\n      }\n    }\n    \n    /* Navbar text  */\n\n    & .navbar-text {\n      display: inline-block;\n      padding-top:    .425rem;\n      padding-bottom: .425rem;\n    }\n\n\n    /* Navbar toggle\n\n     Custom button for toggling the .navbar-collapse, powered by the collapse\n     Bootstrap JavaScript plugin.\n    */\n\n    & .navbar-toggler {\n      align-self: flex-start; \n      padding: ").concat($navbarTogglerPaddingY, " ").concat($navbarTogglerPaddingX, ";\n      font-size: ").concat($navbarTogglerFontSize, ";\n      line-height: 1;\n      background: transparent;\n      border: ").concat($borderWidth, " solid transparent;\n      ").concat(borderRadius($enableRounded, $navbarTogglerBorderRadius), "\n      ").concat(hoverFocus($enableHoverMediaQuery, 'text-decoration: none;'), "\n    }\n    \n    /* Keep as a separate element so folks can easily override it with another icon or image file as needed. */\n    & .navbar-toggler-icon {\n      display: inline-block;\n      width: 1.5em;\n      height: 1.5em;\n      vertical-align: middle;\n      content: \"\";\n      background: no-repeat center center;\n      background-size: 100% 100%;\n    }\n    \n    /* Use position on the toggler to prevent it from being auto placed as a flex item and allow easy placement. */\n    & .navbar-toggler-left {\n      position: absolute;\n      left: ").concat($navbarPaddingX, ";\n    }\n    & .navbar-toggler-right {\n      position: absolute;\n      right: ").concat($navbarPaddingX, ";\n    }\n\n    /* Dark links against a light background */\n    &.navbar-light {\n      .navbar-brand,\n      .navbar-toggler {\n        color: ").concat($navbarLightActiveColor, ";\n\n        ").concat(hoverFocus($enableHoverMediaQuery, "color: ".concat($navbarLightActiveColor, ";")), "\n      }\n\n      .navbar-nav {\n        .nav-link {\n          color: ").concat($navbarLightColor, ";\n          ").concat(hoverFocus($enableHoverMediaQuery, "color: ".concat($navbarLightHoverColor, ";")), "\n          &.disabled {\n            color: ").concat($navbarLightDisabledColor, ";\n          }\n        }\n\n        .open > .nav-link,\n        .active > .nav-link,\n        .nav-link.open,\n        .nav-link.active {\n          color: ").concat($navbarLightActiveColor, ";\n        }\n      }\n\n      .navbar-toggler {\n        border-color: ").concat($navbarLightTogglerBorder, ";\n      }\n      .navbar-toggler-icon {\n        background-image: ").concat($navbarLightTogglerBg, ";\n      }\n  \n      .navbar-text {\n        color: ").concat($navbarLightColor, ";\n      }\n    }\n      \n\n    /* White links against a dark background */\n    &.navbar-inverse {\n      .navbar-brand,\n      .navbar-toggler {\n        color: ").concat($navbarInverseActiveColor, ";\n        ").concat(hoverFocus($enableHoverMediaQuery, "color: ".concat($navbarInverseActiveColor, ";")), "\n      }\n\n      .navbar-nav {\n        .nav-link {\n          color: ").concat($navbarInverseColor, ";\n          ").concat(hoverFocus($enableHoverMediaQuery, "color: ".concat($navbarInverseHoverColor, ";")), "\n          &.disabled {\n            color: ").concat($navbarInverseDisabledColor, ";\n          }\n        }\n\n        .open > .nav-link,\n        .active > .nav-link,\n        .nav-link.open,\n        .nav-link.active {\n          color: ").concat($navbarInverseActiveColor, ";\n        }\n      }\n\n      .navbar-toggler {\n        border-color: ").concat($navbarInverseTogglerBorder, ";\n      }\n      \n      .navbar-toggler-icon {\n        background-image: ").concat($navbarInverseTogglerBg, ";\n      }\n    \n      .navbar-text {\n        color: ").concat($navbarInverseColor, ";\n      }\n    }\n    \n\n    ").concat(navbarToggleable($gridBreakpoints), "\n    \n    /* DELETED IN LATEST BOOTSTRAP VERSINO */\n    \n    /* Navbar alignment options\n\n     Display the navbar across the entirety of the page or fixed it to the top or\n     bottom of the page.\n    */\n\n    /* A static, full width modifier with no rounded corners. */\n    &.navbar-full {\n      z-index: ").concat($zindexNavbar, ";\n      ").concat(mediaBreakpointUp('sm', $gridBreakpoints, borderRadius($enableRounded, '0')), "\n    }\n\n      /* Fix the top/bottom navbars when screen real estate supports it */\n    &.navbar-fixed-top,\n    &.navbar-fixed-bottom {\n      position: fixed;\n      right: 0;\n      left: 0;\n      z-index: ").concat($zindexNavbarFixed, ";\n      /*  Undo the rounded corners */\n      ").concat(mediaBreakpointUp('sm', $gridBreakpoints, borderRadius($enableRounded, '0')), "\n    }\n\n    &.navbar-fixed-top {\n      top: 0;\n    }\n\n    &.navbar-fixed-bottom {\n      bottom: 0;\n    }\n\n    /* position sticky does not seem to be working AJT*/\n\n    &.navbar-sticky-top {\n      position: sticky;\n      top: 0;\n      z-index: ").concat($zindexNavbarSticky, ";\n      width: 100%;\n\n        /*  Undo the rounded corners */\n      ").concat(mediaBreakpointUp('sm', $gridBreakpoints, borderRadius($enableRounded, '0')), "\n    }\n\n    & .navbar-divider {\n      float: left;\n      width: ").concat($borderWidth, ";\n      padding-top: ").concat($navbarDividerPaddingY, ";\n      padding-bottom: ").concat($navbarDividerPaddingY, ";\n      margin-right: ").concat($navbarPaddingX, ";\n      margin-left:  ").concat($navbarPaddingX, ";\n      overflow: hidden;\n\n      &::before {\n        content: '\\00a0';\n      }\n    }\n  ");
}
var navbar$1 = {
  defaultProps: defaultProps$i,
  navbar: navbar
};

var defaultProps$j = {
  '$spacer-y': '1rem'
};
function navDivider() {
  var spacerY = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps$j['$spacer-y'];
  var dividerColor = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '#e5e5e5';
  var marginY = "".concat(unitUtils$1.rmUnit(spacerY, unitUtils$1.UNIT.REM) / 2).concat(unitUtils$1.UNIT.REM);
  return "\n    height: 1px;\n    margin: calc(".concat(marginY, " / 2) 0;\n    overflow: hidden;\n    background-color: ").concat(dividerColor, ";\n  ");
}
var navDivider$1 = {
  defaultProps: defaultProps$j,
  navDivider: navDivider
};

var defaultProps$k = {
  '$navbar-height': '50px'
};
function navbarVerticalAlign() {
  var navbarHeight = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps$k['$navbar-height'];
  var elementHeight = arguments.length > 1 ? arguments[1] : undefined;
  var marginTop = "".concat((unitUtils$1.rmUnit(navbarHeight, unitUtils$1.UNIT.PX) - unitUtils$1.rmUnit(elementHeight, unitUtils$1.UNIT.PX)) / 2).concat(unitUtils$1.UNIT.PX);
  var marginBottom = "".concat((unitUtils$1.rmUnit(navbarHeight, unitUtils$1.UNIT.PX) - unitUtils$1.rmUnit(elementHeight, unitUtils$1.UNIT.PX)) / 2).concat(unitUtils$1.UNIT.PX);
  return "\n    margin-top: ".concat(marginTop, ";\n    margin-bottom: ").concat(marginBottom, ";  \n  ");
}
var navbarAlign = {
  defaultProps: defaultProps$k,
  navbarVerticalAlign: navbarVerticalAlign
};

var defaultProps$l = {
  '$enable-rounded': true,
  '$enable-hover-media-query': false,
  '$border-radius': '.25rem',
  '$pagination-active-color': '#fff',
  '$pagination-active-bg': '#0275d8',
  '$pagination-active-border': '#0275d8',
  '$pagination-disabled-color': '#636c72',
  '$cursor-disabled': 'not-allowed',
  '$pagination-disabled-bg': '#fff',
  '$pagination-disabled-border': '#ddd',
  '$pagination-padding-y': '.5rem',
  '$pagination-padding-x': '.75rem',
  '$pagination-line-height': '1.25',
  '$pagination-color': '#0275d8',
  '$pagination-bg': '#fff',
  '$pagination-border-width': '1px',
  '$pagination-border-color': '#ddd',
  '$pagination-hover-color': 'hsl(207.79999999999995, 98.2%, 27.8%)',
  '$pagination-hover-bg': '#eceeef',
  '$pagination-hover-border': '#ddd',
  '$pagination-padding-y-lg': '.75rem',
  '$pagination-padding-x-lg': '1.5rem',
  '$font-size-lg': '1.25rem',
  '$line-height-lg': '1.3',
  '$border-radius-lg': '.3rem',
  '$pagination-padding-y-sm': '.25rem',
  '$pagination-padding-x-sm': '.5rem',
  '$font-size-sm': '.875rem',
  '$line-height-sm': '1.5',
  '$border-radius-sm': '.2rem'
};
var paginationSize = function paginationSize() {
  var enableRounded = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps$l['$enable-rounded'];
  var paddingY = arguments.length > 1 ? arguments[1] : undefined;
  var paddingX = arguments.length > 2 ? arguments[2] : undefined;
  var fontSize = arguments.length > 3 ? arguments[3] : undefined;
  var borderRadiusPagination = arguments.length > 4 ? arguments[4] : undefined;
  return "\n  .page-link {\n    padding: ".concat(paddingY, " ").concat(paddingX, ";\n    font-size: ").concat(fontSize, ";\n  }\n\n  .page-item {\n    &:first-child {\n      .page-link {\n        ").concat(borderLeftRadius(enableRounded, borderRadiusPagination), "\n      }\n    }\n    &:last-child {\n      .page-link {\n        ").concat(borderRightRadius(enableRounded, borderRadiusPagination), "\n      }\n    }\n  }\n");
};
function pagination() {
  var $enableRounded = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps$l['$enable-rounded'];
  var $enableHoverMediaQuery = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps$l['$enable-hover-media-query'];
  var $borderRadius = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : defaultProps$l['$border-radius'];
  var $paginationActiveColor = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : defaultProps$l['$pagination-active-color'];
  var $paginationActiveBg = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : defaultProps$l['$pagination-active-bg'];
  var $paginationActiveBorder = arguments.length > 5 && arguments[5] !== undefined ? arguments[5] : defaultProps$l['$pagination-active-border'];
  var $paginationDisabledColor = arguments.length > 6 && arguments[6] !== undefined ? arguments[6] : defaultProps$l['$pagination-disabled-color'];
  var $cursorDisabled = arguments.length > 7 && arguments[7] !== undefined ? arguments[7] : defaultProps$l['$cursor-disabled'];
  var $paginationDisabledBg = arguments.length > 8 && arguments[8] !== undefined ? arguments[8] : defaultProps$l['$pagination-disabled-bg'];
  var $paginationDisabledBorder = arguments.length > 9 && arguments[9] !== undefined ? arguments[9] : defaultProps$l['$pagination-disabled-border'];
  var $paginationPaddingY = arguments.length > 10 && arguments[10] !== undefined ? arguments[10] : defaultProps$l['$pagination-padding-y'];
  var $paginationPaddingX = arguments.length > 11 && arguments[11] !== undefined ? arguments[11] : defaultProps$l['$pagination-padding-x'];
  var $paginationLineHeight = arguments.length > 12 && arguments[12] !== undefined ? arguments[12] : defaultProps$l['$pagination-line-height'];
  var $paginationColor = arguments.length > 13 && arguments[13] !== undefined ? arguments[13] : defaultProps$l['$pagination-color'];
  var $paginationBg = arguments.length > 14 && arguments[14] !== undefined ? arguments[14] : defaultProps$l['$pagination-bg'];
  var $paginationBorderWidth = arguments.length > 15 && arguments[15] !== undefined ? arguments[15] : defaultProps$l['$pagination-border-width'];
  var $paginationBorderColor = arguments.length > 16 && arguments[16] !== undefined ? arguments[16] : defaultProps$l['$pagination-border-color'];
  var $paginationHoverColor = arguments.length > 17 && arguments[17] !== undefined ? arguments[17] : defaultProps$l['$pagination-hover-color'];
  var $paginationHoverBg = arguments.length > 18 && arguments[18] !== undefined ? arguments[18] : defaultProps$l['$pagination-hover-bg'];
  var $paginationHoverBorder = arguments.length > 19 && arguments[19] !== undefined ? arguments[19] : defaultProps$l['$pagination-hover-border'];
  var $paginationPaddingYLg = arguments.length > 20 && arguments[20] !== undefined ? arguments[20] : defaultProps$l['$pagination-padding-y-lg'];
  var $paginationPaddingXLg = arguments.length > 21 && arguments[21] !== undefined ? arguments[21] : defaultProps$l['$pagination-padding-x-lg'];
  var $fontSizeLg = arguments.length > 22 && arguments[22] !== undefined ? arguments[22] : defaultProps$l['$font-size-lg'];
  var $lineHeightLg = arguments.length > 23 && arguments[23] !== undefined ? arguments[23] : defaultProps$l['$line-height-lg'];
  var $borderRadiusLg = arguments.length > 24 && arguments[24] !== undefined ? arguments[24] : defaultProps$l['$border-radius-lg'];
  var $paginationPaddingYSm = arguments.length > 25 && arguments[25] !== undefined ? arguments[25] : defaultProps$l['$pagination-padding-y-sm'];
  var $paginationPaddingXSm = arguments.length > 26 && arguments[26] !== undefined ? arguments[26] : defaultProps$l['$pagination-padding-x-sm'];
  var $fontSizeSm = arguments.length > 27 && arguments[27] !== undefined ? arguments[27] : defaultProps$l['$font-size-sm'];
  var $lineHeightSm = arguments.length > 28 && arguments[28] !== undefined ? arguments[28] : defaultProps$l['$line-height-sm'];
  var $borderRadiusSm = arguments.length > 29 && arguments[29] !== undefined ? arguments[29] : defaultProps$l['$border-radius-sm'];
  return "\n  &.pagination {\n    display: flex;\n    padding-left: 0;\n    list-style: none; \n    ".concat(borderRadius($enableRounded), "\n  }\n  \n  & .page-item {\n    &:first-child {\n      .page-link {\n        margin-left: 0;\n        ").concat(borderLeftRadius($enableRounded, $borderRadius), "\n      }\n    }\n    &:last-child {\n      .page-link {\n      ").concat(borderRightRadius($enableRounded, $borderRadius), "\n      }\n    }\n  \n    &.active .page-link {\n      z-index: 2;\n      color: ").concat($paginationActiveColor, ";\n      background-color: ").concat($paginationActiveBg, ";\n      border-color: ").concat($paginationActiveBorder, ";\n    }\n  \n    &.disabled .page-link {\n      color: ").concat($paginationDisabledColor, ";\n      pointer-events: none;\n      cursor: ").concat($cursorDisabled, ";\n      background-color: ").concat($paginationDisabledBg, ";\n      border-color: ").concat($paginationDisabledBorder, ";\n    }\n  }\n  \n  & .page-link {\n    position: relative;\n    display: block;\n    padding: ").concat($paginationPaddingY, " ").concat($paginationPaddingX, ";\n    margin-left: -1px;\n    line-height: ").concat($paginationLineHeight, ";\n    color: ").concat($paginationColor, ";\n    background-color: ").concat($paginationBg, ";\n    border: ").concat($paginationBorderWidth, " solid ").concat($paginationBorderColor, ";\n    \n    ").concat(hoverFocus($enableHoverMediaQuery, "\n      color: ".concat($paginationHoverColor, ";\n      text-decoration: none;\n      background-color: ").concat($paginationHoverBg, ";\n      border-color: ").concat($paginationHoverBorder, ";\n    ")), "\n  }\n  \n  /* Sizing */\n  &.pagination-lg {\n  ").concat(paginationSize($enableRounded, $paginationPaddingYLg, $paginationPaddingXLg, $fontSizeLg, $lineHeightLg, $borderRadiusLg), "\n  }\n  \n  &.pagination-sm {\n  ").concat(paginationSize($enableRounded, $paginationPaddingYSm, $paginationPaddingXSm, $fontSizeSm, $lineHeightSm, $borderRadiusSm), "\n  }\n  ");
}
var paginations = {
  defaultProps: defaultProps$l,
  paginationSize: paginationSize,
  pagination: pagination
};

function progressVariant(bgColor) {
  return "\n    &[value]::-webkit-progress-value {\n      background-color: ".concat(bgColor, ";\n    }\n    \n    &[value]::-moz-progress-bar {\n      background-color: ").concat(bgColor, ";\n    }\n    \n    /* IE10+, Microsoft Edge */\n    &[value]::-ms-fill {\n      background-color: ").concat(bgColor, ";\n    }\n    \n    /* IE9 */\n    @media screen and (min-width:0\\0) {\n    .progress-bar {\n        background-color: ").concat(bgColor, ";\n      }\n    }\n  ");
}
var progress = {
  progressVariant: progressVariant
};

function resetFilter() {
  return "\n    filter: \"progid:DXImageTransform.Microsoft.gradient(enabled = false)\";\n  ";
}
var resetFilter$1 = {
  resetFilter: resetFilter
};

var defaultProps$m = {
  '$font-family-base': true,
  '$font-weight-normal': true,
  '$line-height-base': true
};
function resetText() {
  var fontFamilyBase = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps$m['$font-family-base'];
  var fontWeightNormal = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps$m['$font-weight-normal'];
  var lineHeightBase = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : defaultProps$m['$line-height-base'];
  return "\n    font-family: ".concat(fontFamilyBase, ";\n    /* We deliberately do NOT reset font-size or word-wrap. */\n    font-style: normal;\n    font-weight: ").concat(fontWeightNormal, ";\n    letter-spacing: normal;\n    line-break: auto;\n    line-height: ").concat(lineHeightBase, ";\n    text-align: left; /* Fallback for where 'start' is not supported */\n    text-align: start;\n    text-decoration: none;\n    text-shadow: none;\n    text-transform: none;\n    white-space: normal;\n    word-break: normal;\n    word-spacing: normal;\n  ");
}
var resetText$1 = {
  defaultProps: defaultProps$m,
  resetText: resetText
};

function resizable(direction) {
  var available = ['horizontal', 'vertical', 'both'];
  if (available.indexOf(direction) === -1) {
    throw new Error("Wrong resize value. Available are ".concat(available.join(',')));
  }
  return "\n    resize: ".concat(direction, "; /* Options: horizontal, vertical, both */\n    overflow: auto; /* Per CSS3 UI, 'resize' only applies when 'overflow' isn't 'visible' */\n  ");
}
var resize = {
  resizable: resizable
};

function srOnly() {
  return "\n    position: absolute !important;\n    width: 1px;\n    height: 1px;\n    padding: 0;\n    margin: -1px;\n    overflow: hidden;\n    clip: rect(0,0,0,0);\n    border: 0;\n  ";
}
function srOnlyFocusable() {
  return "\n    &:active,\n    &:focus {\n      position: static;\n      width: auto;\n      height: auto;\n      margin: 0;\n      overflow: visible;\n      clip: auto;\n    }\n  ";
}

function size(width) {
  var height = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : width;
  return "\n    width: ".concat(width, ";\n    height: ").concat(height, ";\n  ");
}

function tableRowVariant(state, background) {
  var hoverBackground = ColorWrapper(background).darken(0.05).toString();
  return "\n  /* Exact selectors below required to override '.table-striped' and prevent */\n  /* inheritance to nested tables. */\n  & .table-".concat(state, " {\n    &,\n    > th,\n    > td {\n      background-color: ").concat(background, ";\n    }\n  }\n\n  /* Hover states for '.table-hover' */\n  /* Note: this is not available for cells or rows within 'thead' or 'tfoot'. */\n  &.table-hover {\n\n    .table-").concat(state, " {\n      ").concat(hover("\n        background-color: ".concat(hoverBackground, ";\n\n        > td,\n        > th {\n          background-color: ").concat(hoverBackground, ";\n        }\n      ")), "\n    }\n  }\n  ");
}
var tableRow = {
  tableRowVariant: tableRowVariant
};

var defaultProps$n = {
  '$enable-hover-media-query': false
};
function textEmphasisVariant() {
  var enableHoverMediaQuery = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps$n['$enable-hover-media-query'];
  var parent = arguments.length > 1 ? arguments[1] : undefined;
  var textColor = arguments.length > 2 ? arguments[2] : undefined;
  return "\n  ".concat(parent, " {\n    color: ").concat(textColor, " !important;\n  }\n  a").concat(parent, " {\n  ").concat(hoverFocus(enableHoverMediaQuery, "color: ".concat(ColorWrapper(textColor).darken(0.20).rgb(), " !important;")), "\n  }\n");
}
var textEmphasis = {
  defaultProps: defaultProps$n,
  textEmphasisVariant: textEmphasisVariant
};

function textHide() {
  return "\n    font: 0/0 a;\n    color: transparent;\n    text-shadow: none;\n    background-color: transparent;\n    border: 0;\n  ";
}
var textHide$1 = {
  textHide: textHide
};

function textTruncate() {
  return "\n    overflow: hidden;\n    text-overflow: ellipsis;\n    white-space: nowrap;\n  ";
}

var defaultProps$o = {
  '$headings-margin-bottom': '0.5rem',
  '$headings-font-family': 'inherit',
  '$headings-font-weight': '500',
  '$headings-line-height': '1.1',
  '$headings-color': 'inherit',
  '$display1-size': '6rem',
  '$display2-size': '5.5rem',
  '$display3-size': '4.5rem',
  '$display4-size': '3.5rem',
  '$display1-weight': '300',
  '$display2-weight': '300',
  '$display3-weight': '300',
  '$display4-weight': '300'
};
function typography() {
  var $headingsMarginBottom = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps$o['$headings-margin-bottom'];
  var $headingsFontFamily = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultProps$o['$headings-font-family'];
  var $headingsFontWeight = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : defaultProps$o['$headings-font-weight'];
  var $headingsLineHeight = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : defaultProps$o['$headings-line-height'];
  var $headingsColor = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : defaultProps$o['$headings-color'];
  var $display1Size = arguments.length > 5 && arguments[5] !== undefined ? arguments[5] : defaultProps$o['$display1-size'];
  var $display2Size = arguments.length > 6 && arguments[6] !== undefined ? arguments[6] : defaultProps$o['$display2-size'];
  var $display3Size = arguments.length > 7 && arguments[7] !== undefined ? arguments[7] : defaultProps$o['$display3-size'];
  var $display4Size = arguments.length > 8 && arguments[8] !== undefined ? arguments[8] : defaultProps$o['$display4-size'];
  var $display1Weight = arguments.length > 9 && arguments[9] !== undefined ? arguments[9] : defaultProps$o['$display1-weight'];
  var $display2Weight = arguments.length > 10 && arguments[10] !== undefined ? arguments[10] : defaultProps$o['$display2-weight'];
  var $display3Weight = arguments.length > 11 && arguments[11] !== undefined ? arguments[11] : defaultProps$o['$display3-weight'];
  var $display4Weight = arguments.length > 12 && arguments[12] !== undefined ? arguments[12] : defaultProps$o['$display4-weight'];
  return "\n    margin-bottom: ".concat($headingsMarginBottom, ";\n    font-family: ").concat($headingsFontFamily, ";\n    font-weight: ").concat($headingsFontWeight, ";\n    line-height: ").concat($headingsLineHeight, ";\n    color: ").concat($headingsColor, ";\n    \n    /* Type Scss */\n\n    &.display-1 {\n      font-size: ").concat($display1Size, ";\n      font-weight: ").concat($display1Weight, ";\n      line-height: ").concat($headingsLineHeight, ";\n\n    }\n    \n    &.display-2 {\n      font-size: ").concat($display2Size, ";\n      font-weight: ").concat($display2Weight, ";\n      line-height: ").concat($headingsLineHeight, ";\n    }\n    \n    &.display-3 {\n      font-size: ").concat($display3Size, ";\n      font-weight: ").concat($display3Weight, ";\n      line-height: ").concat($headingsLineHeight, ";\n    }\n    \n    &.display-4 {\n      font-size: ").concat($display4Size, ";\n      font-weight: ").concat($display4Weight, ";\n        line-height: ").concat($headingsLineHeight, ";\n    }\n  ");
}
var typography$1 = {
  defaultProps: defaultProps$o,
  typography: typography
};

function invisible(visibility) {
  return "\n    visibility: ".concat(visibility, " !important;\n  ");
}

export { a$1 as aMixins, alert as alertMixins, backgroundVariant as backgroundVariantMixins, badge as badgeMixins, boxShadow, breakpoints as bp, buttonGroup$1 as buttonGroupMixins, buttons as buttonsMixins, cards as cardsMixins, clearfix, customForms$1 as customformsMixins, float as floatMixins, forms as formsMixins, gradients as gradient, gridFramework as gridFrameworkMixins, grid as gridMixins, hover, ifElse, ifThen, invisible, listGroup as listGroupMixins, lists as listsMixins, navDivider$1 as navDividerMixins, nav$1 as navMixins, navbarAlign as navbarAlignMixins, navbar$1 as navbarMixins, navbarToggleable$1 as navbarToggleableMixins, paginations as paginationsMixins, progress as progressMixins, borderRadius$1 as radius, resetFilter$1 as resetFilterMixins, resetText$1 as resetTextMixins, resize as resizeMixins, size, srOnly, srOnlyFocusable, tabFocus$1 as tabFocusMixins, tableRow as tableRowMixins, textEmphasis as textEmphasisMixins, textHide$1 as textHideMixins, textTruncate, transition, typography$1 as typographyMixins, unitUtils$1 as unit };
//# sourceMappingURL=css-mixins.esm.js.map
