"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.badgeVariant = badgeVariant;
exports.default = exports.defaultProps = void 0;

var _color = _interopRequireDefault(require("@bootstrap-styled/color"));

var _hover = require("./hover");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultProps = {
  '$enable-hover-mediaQuery': false
};
/**
 * @public
 * @description Basic css helper for Badge components background.
 * @param enableHoverMediaQuery
 * @param badgeColor
 * @returns {string}
 */

exports.defaultProps = defaultProps;

function badgeVariant() {
  var enableHoverMediaQuery = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$enable-hover-mediaQuery'];
  var badgeColor = arguments.length > 1 ? arguments[1] : undefined;
  return "\n    background-color: ".concat(badgeColor, ";\n    \n    &[href] {\n      ").concat((0, _hover.hoverFocus)(enableHoverMediaQuery, "background-color: ".concat((0, _color.default)(badgeColor).darken(0.1).toString(), ";")), "\n    }\n  ");
}

var _default = {
  defaultProps: defaultProps,
  badgeVariant: badgeVariant
};
exports.default = _default;