"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.boxShadow = boxShadow;
exports.default = exports.defaultProps = void 0;
var defaultProps = {
  '$enable-shadows': false
};
/**
 * @public
 * @description Applies box-shadow if enableShadows is true.
 * @param {boolean} enableShadows
 * @param {array} ...args
 * @returns {string}
 */

exports.defaultProps = defaultProps;

function boxShadow() {
  var enableShadows = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$enable-shadows'];

  if (enableShadows) {
    for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      args[_key - 1] = arguments[_key];
    }

    return "\n      box-shadow: ".concat(args.join(' '), ";\n    ");
  }

  return '';
}

var _default = {
  defaultProps: defaultProps,
  boxShadow: boxShadow
};
exports.default = _default;